searchNodes=[{"type":"behaviour","title":"Beaver.Exterior","doc":"Behavior to build and register a dialect not included in LLVM mono repo. It is called &quot;Exterior&quot; not &quot;Extension&quot; or &quot;External&quot; to avoid confusing it with various LLVM/MLIR concepts of extensions.","ref":"Beaver.Exterior.html"},{"type":"function","title":"Beaver.Exterior.register_all/1","doc":"","ref":"Beaver.Exterior.html#register_all/1"},{"type":"callback","title":"Beaver.Exterior.register_dialect/1","doc":"Register a register to a MLIR context","ref":"Beaver.Exterior.html#c:register_dialect/1"},{"type":"module","title":"Beaver.Exterior.Elixir","doc":"","ref":"Beaver.Exterior.Elixir.html"},{"type":"function","title":"Beaver.Exterior.Elixir.register_dialect/1","doc":"Callback implementation for Beaver.Exterior.register_dialect/1 .","ref":"Beaver.Exterior.Elixir.html#register_dialect/1"},{"type":"module","title":"Beaver.SSA","doc":"Storing MLIR IR structure with a Elixir struct. Macros like Beaver.mlir/1 will generate SSA structs defined by this module.","ref":"Beaver.SSA.html"},{"type":"function","title":"Beaver.SSA.postwalk/2","doc":"","ref":"Beaver.SSA.html#postwalk/2"},{"type":"function","title":"Beaver.SSA.prewalk/2","doc":"","ref":"Beaver.SSA.html#prewalk/2"},{"type":"function","title":"Beaver.SSA.put_arguments/2","doc":"","ref":"Beaver.SSA.html#put_arguments/2"},{"type":"function","title":"Beaver.SSA.put_block/2","doc":"","ref":"Beaver.SSA.html#put_block/2"},{"type":"function","title":"Beaver.SSA.put_ctx/2","doc":"","ref":"Beaver.SSA.html#put_ctx/2"},{"type":"function","title":"Beaver.SSA.put_filler/2","doc":"","ref":"Beaver.SSA.html#put_filler/2"},{"type":"function","title":"Beaver.SSA.put_location/2","doc":"","ref":"Beaver.SSA.html#put_location/2"},{"type":"function","title":"Beaver.SSA.put_results/2","doc":"","ref":"Beaver.SSA.html#put_results/2"},{"type":"type","title":"Beaver.SSA.t/0","doc":"","ref":"Beaver.SSA.html#t:t/0"},{"type":"module","title":"Beaver","doc":"This module contains top level functions and macros for Beaver DSL for MLIR. Here are some of the examples of most common forms of Beaver DSL: single result res = TOSA . add ( a , b ) &gt;&gt;&gt; res_t multiple results [ res1 , res2 ] = TOSA . add ( a , b ) &gt;&gt;&gt; [ res_t , res_t ] [ res1 , res2 ] = TOSA . add ( a , b ) &gt;&gt;&gt; res_t_list res_list = TOSA . add ( a , b ) &gt;&gt;&gt; res_t_list infer results TOSA . add ( a , b ) &gt;&gt;&gt; :infer with op { op , res } = TOSA . add ( a , b ) &gt;&gt;&gt; { :op , res_t } with no result TOSA . add ( a , b ) &gt;&gt;&gt; [ ]","ref":"Beaver.html"},{"type":"function","title":"Beaver.>>>/2","doc":"","ref":"Beaver.html#%3E%3E%3E/2"},{"type":"macro","title":"Beaver.block/2","doc":"","ref":"Beaver.html#block/2"},{"type":"macro","title":"Beaver.mlir/1","doc":"This is a macro where Beaver's MLIR DSL expressions get transformed to MLIR API calls. This transformation will works on any expression of this form, so it is also possible to call any other function/macro rather than an Op creation function. There is one operator &gt;&gt;&gt; for typing the result of the SSA or an argument of a block. It kind of works like the :: in specs and types of Elixir. How it works under the hood mlir do [ res0 , res1 ] = TestDialect . some_op ( operand0 , operand1 , attr0 : ~a{11 : i32} ) &gt;&gt;&gt; ~t{f32} end # will be transform to: [ res0 , res1 ] = % DSL.SSA { } |&gt; DSL.SSA . arguments ( [ operand0 , operand1 , attr0 : ~a{11 : i32} , attr1 : ~a{11 : i32} ] ) |&gt; DSL.SSA . results ( [ ~t{f32} ] ) |&gt; TestDialect . some_op ( ) The SSA form will return: For op with multiple result: the results of this op in a list. For op with one single result: the result For op with no result: the op itself (for instance, module, func, and terminators) If there is no returns, add a [] to make the transformation effective: TestDialect . some_op ( operand0 ) &gt;&gt;&gt; [ ] To defer the creation of a terminator in case its successor block has not been created. You can pass an atom of the name in the block's call form. CF . cond_br ( cond0 , :bb1 , { :bb2 , [ v0 ] } ) &gt;&gt;&gt; [ ] To create region, call the op with a do block. The block macro works like the function definition in Elixir, and in the do block of block macro you can reference an argument by name. One caveat is that if it is a Op with region, it requires all arguments to be passed in one list to make it to call the macro version of the Op creation function. TestDialect . op_with_region [ operand0 , attr0 : ~a{1}i32 ] do region do block ( arg &gt;&gt;&gt; ~t{f32} ) do TestDialect . some_op ( arg ) &gt;&gt;&gt; ~t{f32} end end end &gt;&gt;&gt; ~t{f32}","ref":"Beaver.html#mlir/1"},{"type":"macro","title":"Beaver.mlir/2","doc":"","ref":"Beaver.html#mlir/2"},{"type":"macro","title":"Beaver.region/1","doc":"","ref":"Beaver.html#region/1"},{"type":"module","title":"Beaver.Env","doc":"This module defines macros to getting MLIR context, region, block within the do block of mlir/1. It works like MODULE /0, CALLER /0 of Elixir special forms.","ref":"Beaver.Env.html"},{"type":"macro","title":"Beaver.Env.block/0","doc":"Return block in the DSL environment","ref":"Beaver.Env.html#block/0"},{"type":"macro","title":"Beaver.Env.block/1","doc":"Return block with a given name in the DSL environment","ref":"Beaver.Env.html#block/1"},{"type":"macro","title":"Beaver.Env.context/0","doc":"Return context in the DSL environment","ref":"Beaver.Env.html#context/0"},{"type":"macro","title":"Beaver.Env.location/0","doc":"Create location from caller in the Elixir source","ref":"Beaver.Env.html#location/0"},{"type":"macro","title":"Beaver.Env.region/0","doc":"Return region in the DSL environment","ref":"Beaver.Env.html#region/0"},{"type":"module","title":"Beaver.Pattern","doc":"Beaver pattern DSL for MLIR, a PDL frontend in Elixir.","ref":"Beaver.Pattern.html"},{"type":"macro","title":"Beaver.Pattern.attribute/1","doc":"","ref":"Beaver.Pattern.html#attribute/1"},{"type":"function","title":"Beaver.Pattern.create_operation/5","doc":"The difference between a pdl.operation creation in a match body and a rewrite body: in a match body, pdl.attribute / pdl.operand / pdl.result will be generated for unbound variables in a rewrite body, all variables are considered bound before creation pdl ops","ref":"Beaver.Pattern.html#create_operation/5"},{"type":"macro","title":"Beaver.Pattern.defpat/2","doc":"","ref":"Beaver.Pattern.html#defpat/2"},{"type":"function","title":"Beaver.Pattern.eval_rewrite/2","doc":"Evaluate SSA as ops in a rewrite block. Note that function is only public so that it could be used in a AST.","ref":"Beaver.Pattern.html#eval_rewrite/2"},{"type":"macro","title":"Beaver.Pattern.replace/2","doc":"","ref":"Beaver.Pattern.html#replace/2"},{"type":"macro","title":"Beaver.Pattern.rewrite/2","doc":"","ref":"Beaver.Pattern.html#rewrite/2"},{"type":"macro","title":"Beaver.Pattern.type/0","doc":"","ref":"Beaver.Pattern.html#type/0"},{"type":"macro","title":"Beaver.Pattern.type/1","doc":"","ref":"Beaver.Pattern.html#type/1"},{"type":"macro","title":"Beaver.Pattern.value/0","doc":"","ref":"Beaver.Pattern.html#value/0"},{"type":"module","title":"Beaver.Walker","doc":"Walker to traverse MLIR structures including operands, results, successors, attributes, regions. It implements the Enumerable protocol and the Access behavior.","ref":"Beaver.Walker.html"},{"type":"function","title":"Beaver.Walker.arguments/1","doc":"Returns an enumerable of the arguments of an Block.t()","ref":"Beaver.Walker.html#arguments/1"},{"type":"function","title":"Beaver.Walker.attributes/1","doc":"Returns an enumerable of the attributes of an operation() .","ref":"Beaver.Walker.html#attributes/1"},{"type":"function","title":"Beaver.Walker.blocks/1","doc":"Returns an enumerable of the blocks of an Region.t()","ref":"Beaver.Walker.html#blocks/1"},{"type":"function","title":"Beaver.Walker.operands/1","doc":"Returns an enumerable of the operands of an operation() .","ref":"Beaver.Walker.html#operands/1"},{"type":"function","title":"Beaver.Walker.operations/1","doc":"Returns an enumerable of the operations of an Block.t()","ref":"Beaver.Walker.html#operations/1"},{"type":"function","title":"Beaver.Walker.postwalk/2","doc":"Performs a depth-first, post-order traversal of a MLIR structure.","ref":"Beaver.Walker.html#postwalk/2"},{"type":"function","title":"Beaver.Walker.postwalk/3","doc":"Performs a depth-first, post-order traversal of a MLIR structure using an accumulator.","ref":"Beaver.Walker.html#postwalk/3"},{"type":"function","title":"Beaver.Walker.prewalk/2","doc":"Performs a depth-first, pre-order traversal of a MLIR structure.","ref":"Beaver.Walker.html#prewalk/2"},{"type":"function","title":"Beaver.Walker.prewalk/3","doc":"Performs a depth-first, pre-order traversal of a MLIR structure using an accumulator.","ref":"Beaver.Walker.html#prewalk/3"},{"type":"function","title":"Beaver.Walker.regions/1","doc":"Returns an enumerable of the regions of an operation() .","ref":"Beaver.Walker.html#regions/1"},{"type":"function","title":"Beaver.Walker.replace/2","doc":"Replace a operation with a value","ref":"Beaver.Walker.html#replace/2"},{"type":"function","title":"Beaver.Walker.results/1","doc":"Returns an enumerable of the results of an operation() .","ref":"Beaver.Walker.html#results/1"},{"type":"function","title":"Beaver.Walker.successors/1","doc":"Returns an enumerable of the successor blocks of an operation() .","ref":"Beaver.Walker.html#successors/1"},{"type":"function","title":"Beaver.Walker.traverse/4","doc":"Traverse and transform a container in MLIR, it could be a operation, region, block. You might expect this function works like Macro.traverse/4 . More on manipulating the IR During the traversal, there are generally two choices to manipulate the IR: Use a pattern defined by macro Beaver.Pattern.defpat/2 to have the PDL interpreter transform the IR for you. You can use both if it is proper to do so. Use Beaver.Walker.replace/2 to replace the operation and return a walker as placeholder if is replaced by value. It could be mind-boggling to think the IR is mutable but not an issue if your approach is very functional. Inappropriate mutation might cause crash or bugs if somewhere else is keeping a reference of the replace op. Some tips If your matching is very complicated, using with/1 in Elixir should cover it. Use defpat if you want MLIR's greedy pattern application based on benefits instead of implementing something alike yourself. You can run traversals in a MLIR pass by calling them in run/1 so that it joins the general MLIR pass manager's orchestration and will be run in parallel when possible.","ref":"Beaver.Walker.html#traverse/4"},{"type":"function","title":"Beaver.Walker.uses/1","doc":"Returns an enumerable of the uses of an Value.t()","ref":"Beaver.Walker.html#uses/1"},{"type":"type","title":"Beaver.Walker.container/0","doc":"","ref":"Beaver.Walker.html#t:container/0"},{"type":"type","title":"Beaver.Walker.element/0","doc":"","ref":"Beaver.Walker.html#t:element/0"},{"type":"type","title":"Beaver.Walker.element_module/0","doc":"","ref":"Beaver.Walker.html#t:element_module/0"},{"type":"type","title":"Beaver.Walker.mlir/0","doc":"","ref":"Beaver.Walker.html#t:mlir/0"},{"type":"type","title":"Beaver.Walker.operation/0","doc":"","ref":"Beaver.Walker.html#t:operation/0"},{"type":"type","title":"Beaver.Walker.t/0","doc":"","ref":"Beaver.Walker.html#t:t/0"},{"type":"module","title":"Beaver.Walker.OpReplacement","doc":"A placeholder when an operation is replaced by value.","ref":"Beaver.Walker.OpReplacement.html"},{"type":"type","title":"Beaver.Walker.OpReplacement.t/0","doc":"","ref":"Beaver.Walker.OpReplacement.html#t:t/0"},{"type":"module","title":"Beaver.MLIR","doc":"Provide macros to insert MLIR context and IR element of structure. These macros are designed to mimic the behavior and aesthetics of __MODULE__ , __CALLER__ in Elixir. Its distinguished form is to indicate this should not be expected to be a function or a macro works like a function.","ref":"Beaver.MLIR.html"},{"type":"function","title":"Beaver.MLIR.dump/1","doc":"","ref":"Beaver.MLIR.html#dump/1"},{"type":"function","title":"Beaver.MLIR.dump!/1","doc":"","ref":"Beaver.MLIR.html#dump!/1"},{"type":"function","title":"Beaver.MLIR.is_null/1","doc":"","ref":"Beaver.MLIR.html#is_null/1"},{"type":"function","title":"Beaver.MLIR.to_string/1","doc":"","ref":"Beaver.MLIR.html#to_string/1"},{"type":"module","title":"Beaver.MLIR.AffineMap","doc":"This module defines functions working with MLIR AffineMap.","ref":"Beaver.MLIR.AffineMap.html"},{"type":"function","title":"Beaver.MLIR.AffineMap.create/4","doc":"","ref":"Beaver.MLIR.AffineMap.html#create/4"},{"type":"function","title":"Beaver.MLIR.AffineMap.dim/2","doc":"","ref":"Beaver.MLIR.AffineMap.html#dim/2"},{"type":"function","title":"Beaver.MLIR.AffineMap.make/1","doc":"","ref":"Beaver.MLIR.AffineMap.html#make/1"},{"type":"function","title":"Beaver.MLIR.AffineMap.symbol/2","doc":"","ref":"Beaver.MLIR.AffineMap.html#symbol/2"},{"type":"type","title":"Beaver.MLIR.AffineMap.t/0","doc":"","ref":"Beaver.MLIR.AffineMap.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Attribute","doc":"This module defines functions parsing and creating attributes in MLIR.","ref":"Beaver.MLIR.Attribute.html"},{"type":"function","title":"Beaver.MLIR.Attribute.affine_map/1","doc":"","ref":"Beaver.MLIR.Attribute.html#affine_map/1"},{"type":"function","title":"Beaver.MLIR.Attribute.array/2","doc":"","ref":"Beaver.MLIR.Attribute.html#array/2"},{"type":"function","title":"Beaver.MLIR.Attribute.bool/2","doc":"","ref":"Beaver.MLIR.Attribute.html#bool/2"},{"type":"function","title":"Beaver.MLIR.Attribute.dense_array/3","doc":"","ref":"Beaver.MLIR.Attribute.html#dense_array/3"},{"type":"function","title":"Beaver.MLIR.Attribute.dense_elements/3","doc":"","ref":"Beaver.MLIR.Attribute.html#dense_elements/3"},{"type":"function","title":"Beaver.MLIR.Attribute.equal?/2","doc":"","ref":"Beaver.MLIR.Attribute.html#equal?/2"},{"type":"function","title":"Beaver.MLIR.Attribute.flat_symbol_ref/2","doc":"","ref":"Beaver.MLIR.Attribute.html#flat_symbol_ref/2"},{"type":"function","title":"Beaver.MLIR.Attribute.float/3","doc":"","ref":"Beaver.MLIR.Attribute.html#float/3"},{"type":"function","title":"Beaver.MLIR.Attribute.get/2","doc":"","ref":"Beaver.MLIR.Attribute.html#get/2"},{"type":"function","title":"Beaver.MLIR.Attribute.index/2","doc":"","ref":"Beaver.MLIR.Attribute.html#index/2"},{"type":"function","title":"Beaver.MLIR.Attribute.integer/2","doc":"","ref":"Beaver.MLIR.Attribute.html#integer/2"},{"type":"function","title":"Beaver.MLIR.Attribute.is_null/1","doc":"","ref":"Beaver.MLIR.Attribute.html#is_null/1"},{"type":"function","title":"Beaver.MLIR.Attribute.make/1","doc":"","ref":"Beaver.MLIR.Attribute.html#make/1"},{"type":"function","title":"Beaver.MLIR.Attribute.null/0","doc":"","ref":"Beaver.MLIR.Attribute.html#null/0"},{"type":"function","title":"Beaver.MLIR.Attribute.string/2","doc":"","ref":"Beaver.MLIR.Attribute.html#string/2"},{"type":"function","title":"Beaver.MLIR.Attribute.type/1","doc":"","ref":"Beaver.MLIR.Attribute.html#type/1"},{"type":"function","title":"Beaver.MLIR.Attribute.unit/1","doc":"","ref":"Beaver.MLIR.Attribute.html#unit/1"},{"type":"type","title":"Beaver.MLIR.Attribute.t/0","doc":"","ref":"Beaver.MLIR.Attribute.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Block","doc":"This module defines functions working with MLIR Block.","ref":"Beaver.MLIR.Block.html"},{"type":"function","title":"Beaver.MLIR.Block.add_arg!/3","doc":"","ref":"Beaver.MLIR.Block.html#add_arg!/3"},{"type":"function","title":"Beaver.MLIR.Block.create/1","doc":"","ref":"Beaver.MLIR.Block.html#create/1"},{"type":"function","title":"Beaver.MLIR.Block.create/2","doc":"","ref":"Beaver.MLIR.Block.html#create/2"},{"type":"function","title":"Beaver.MLIR.Block.get_arg!/2","doc":"","ref":"Beaver.MLIR.Block.html#get_arg!/2"},{"type":"function","title":"Beaver.MLIR.Block.make/1","doc":"","ref":"Beaver.MLIR.Block.html#make/1"},{"type":"type","title":"Beaver.MLIR.Block.t/0","doc":"","ref":"Beaver.MLIR.Block.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.CAPI","doc":"This module ships MLIR's C API. These NIFs are generated from headers in LLVM repo and this repo's headers providing supplemental functions.","ref":"Beaver.MLIR.CAPI.html"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_affine_map_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_affine_map_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_attribute_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_attribute_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_location_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_location_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_operation_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_operation_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_pm_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_pm_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_type_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_type_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_beaver_value_to_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_beaver_value_to_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_context_attach_diagnostic_handler/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_context_attach_diagnostic_handler/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_create_mlir_pass/5","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_create_mlir_pass/5"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_get_context_load_all_dialects/0","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_get_context_load_all_dialects/0"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_get_resource_c_string/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_get_resource_c_string/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_mlir_named_attribute_get/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_mlir_named_attribute_get/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_own_opaque_ptr/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_own_opaque_ptr/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_parse_pass_pipeline/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_parse_pass_pipeline/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_pass_token_signal/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_pass_token_signal/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_read_opaque_ptr/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_read_opaque_ptr/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_registered_dialects/0","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_dialects/0"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_registered_ops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_ops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_registered_ops_of_dialect/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_registered_ops_of_dialect/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaver_raw_resource_c_string_to_term_charlist/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaver_raw_resource_c_string_to_term_charlist/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverApplyOwnedPatternSetOnOperation/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverApplyOwnedPatternSetOnOperation/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverApplyOwnedPatternSetOnRegion/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverApplyOwnedPatternSetOnRegion/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverAttributeIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverAttributeIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverBlockIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverBlockIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverContextIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverContextIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverCreateExternalPass/13","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverCreateExternalPass/13"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverDialectIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverDialectIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverDialectRegistryIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverDialectRegistryIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverEnterMultiThreadedExecution/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverEnterMultiThreadedExecution/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverExitMultiThreadedExecution/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverExitMultiThreadedExecution/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverGetNumRegisteredOperations/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverGetNumRegisteredOperations/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverGetReassociationIndicesForReshape/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverGetReassociationIndicesForReshape/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverGetRegisteredOperationName/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverGetRegisteredOperationName/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverIsOpNameTerminator/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverIsOpNameTerminator/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLocationIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLocationIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLocationPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLocationPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLogicalResultFailure/0","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultFailure/0"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLogicalResultIsFailure/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultIsFailure/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLogicalResultIsSuccess/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultIsSuccess/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverLogicalResultSuccess/0","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverLogicalResultSuccess/0"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirExecutionEngineIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirExecutionEngineIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirNamedAttributeGetAttribute/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirNamedAttributeGetAttribute/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirNamedAttributeGetName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirNamedAttributeGetName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetLocation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetLocation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumAttributes/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumAttributes/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumOperands/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumOperands/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumRegions/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumRegions/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverMlirOperationStateGetNumResults/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverMlirOperationStateGetNumResults/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverModuleIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverModuleIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperandGetNext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetNext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperandGetNumber/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetNumber/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperandGetOwner/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetOwner/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperandGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperandIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperandIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperationGetAttribute/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationGetAttribute/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperationGetName/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationGetName/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverOperationIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverOperationIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPassGetArgument/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetArgument/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPassGetDescription/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetDescription/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPassGetName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassGetName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPassManagerEnableTiming/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassManagerEnableTiming/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPassManagerGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPassManagerGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPatternSetAddOwnedPDLPattern/2","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPatternSetAddOwnedPDLPattern/2"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverPDLPatternGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverPDLPatternGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRegionIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegionIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRegisteredDialects/3","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredDialects/3"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationNameGetDialectName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationNameGetDialectName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationNameGetOpName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationNameGetOpName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRegisteredOperationsOfDialect/4","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRegisteredOperationsOfDialect/4"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverRewritePatternSetGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverRewritePatternSetGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverStringRefGetData/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverStringRefGetData/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverStringRefGetLength/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverStringRefGetLength/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverSymbolTableIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverSymbolTableIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverTypeIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverTypeIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverValueGetFirstOperand/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverValueGetFirstOperand/1"},{"type":"function","title":"Beaver.MLIR.CAPI.beaverValueIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#beaverValueIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.kinda_on_load/0","doc":"","ref":"Beaver.MLIR.CAPI.html#kinda_on_load/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineAddExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineAddExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineBinaryOpExprGetLHS/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineBinaryOpExprGetLHS/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineBinaryOpExprGetRHS/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineBinaryOpExprGetRHS/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineCeilDivExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineCeilDivExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineConstantExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineConstantExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineConstantExprGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineConstantExprGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineDimExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineDimExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineDimExprGetPosition/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineDimExprGetPosition/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprCompose/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprCompose/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprGetLargestKnownDivisor/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprGetLargestKnownDivisor/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAAdd/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAAdd/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsABinary/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsABinary/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsACeilDiv/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsACeilDiv/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAConstant/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAConstant/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsADim/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsADim/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAFloorDiv/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAFloorDiv/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAMod/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAMod/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsAMul/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsAMul/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsASymbol/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsASymbol/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsFunctionOfDim/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsFunctionOfDim/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsMultipleOf/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsMultipleOf/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsPureAffine/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsPureAffine/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprIsSymbolicOrConstant/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprIsSymbolicOrConstant/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineExprPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineExprPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineFloorDivExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineFloorDivExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapAttrGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapAttrGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapAttrGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapAttrGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapCompressUnusedSymbols/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapCompressUnusedSymbols/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapConstantGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapConstantGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapEmptyGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapEmptyGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetMajorSubMap/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetMajorSubMap/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetMinorSubMap/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetMinorSubMap/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumDims/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumDims/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumInputs/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumInputs/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumResults/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumResults/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetNumSymbols/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetNumSymbols/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetResult/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetResult/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetSingleConstantResult/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetSingleConstantResult/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapGetSubMap/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapGetSubMap/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsEmpty/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsEmpty/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsIdentity/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsIdentity/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsMinorIdentity/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsMinorIdentity/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsPermutation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsPermutation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsProjectedPermutation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsProjectedPermutation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapIsSingleConstant/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapIsSingleConstant/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapMinorIdentityGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapMinorIdentityGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapMultiDimIdentityGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapMultiDimIdentityGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapPermutationGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapPermutationGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapReplace/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapReplace/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMapZeroResultGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMapZeroResultGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineModExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineModExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineMulExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineMulExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineSymbolExprGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineSymbolExprGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAffineSymbolExprGetPosition/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAffineSymbolExprGetPosition/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAnyQuantizedTypeGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAnyQuantizedTypeGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirArrayAttrGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirArrayAttrGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirArrayAttrGetNumElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGetNumElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirArrayAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirArrayAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeGetDialect/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetDialect/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeGetNull/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetNull/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeGetType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeGetTypeID/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeGetTypeID/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAAffineMap/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAAffineMap/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAArray/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAArray/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsABool/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsABool/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseBoolArray/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseBoolArray/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseF32Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseF32Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseF64Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseF64Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseFPElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseFPElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI8Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI8Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI16Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI16Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI32Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI32Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseI64Array/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseI64Array/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADenseIntElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADenseIntElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsADictionary/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsADictionary/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAFlatSymbolRef/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAFlatSymbolRef/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAFloat/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAFloat/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAInteger/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAInteger/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAIntegerSet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAIntegerSet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsALocation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsALocation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAOpaque/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAOpaque/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsASparseElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASparseElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsASparseTensorEncodingAttr/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASparseTensorEncodingAttr/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAStridedLayout/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAStridedLayout/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAString/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAString/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsASymbolRef/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsASymbolRef/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeIsAUnit/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeIsAUnit/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributeParseGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributeParseGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirAttributePrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirAttributePrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBF16TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBF16TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBFloat16TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBFloat16TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockAddArgument/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockAddArgument/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockAppendOwnedOperation/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockAppendOwnedOperation/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockArgumentGetArgNumber/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentGetArgNumber/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockArgumentGetOwner/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentGetOwner/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockArgumentSetType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockArgumentSetType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockCreate/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockCreate/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockDetach/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockDetach/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetArgument/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetArgument/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetFirstOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetFirstOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetNextInRegion/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetNextInRegion/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetNumArguments/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetNumArguments/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetParentOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetParentOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetParentRegion/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetParentRegion/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockGetTerminator/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockGetTerminator/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperation/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperation/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperationAfter/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperationAfter/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockInsertOwnedOperationBefore/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockInsertOwnedOperationBefore/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBlockPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBlockPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBoolAttrGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBoolAttrGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBoolAttrGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBoolAttrGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBytecodeWriterConfigCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBytecodeWriterConfigCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBytecodeWriterConfigDesiredEmitVersion/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBytecodeWriterConfigDesiredEmitVersion/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirBytecodeWriterConfigDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirBytecodeWriterConfigDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGetMax/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGetMax/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCalibratedQuantizedTypeGetMin/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCalibratedQuantizedTypeGetMin/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirComplexTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirComplexTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirComplexTypeGetElementType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirComplexTypeGetElementType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirComplexTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirComplexTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextAppendDialectRegistry/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextAppendDialectRegistry/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextAttachDiagnosticHandler/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextAttachDiagnosticHandler/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextCreateWithRegistry/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextCreateWithRegistry/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextCreateWithThreading/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextCreateWithThreading/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextDetachDiagnosticHandler/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextDetachDiagnosticHandler/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextEnableMultithreading/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextEnableMultithreading/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextGetAllowUnregisteredDialects/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetAllowUnregisteredDialects/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextGetNumLoadedDialects/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetNumLoadedDialects/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextGetNumRegisteredDialects/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetNumRegisteredDialects/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextGetOrLoadDialect/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextGetOrLoadDialect/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextIsRegisteredOperation/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextIsRegisteredOperation/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextLoadAllAvailableDialects/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextLoadAllAvailableDialects/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextSetAllowUnregisteredDialects/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextSetAllowUnregisteredDialects/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirContextSetThreadPool/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirContextSetThreadPool/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncFuncToAsyncRuntime/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncFuncToAsyncRuntime/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncParallelFor/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncParallelFor/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimePolicyBasedRefCounting/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimePolicyBasedRefCounting/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimeRefCounting/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimeRefCounting/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncRuntimeRefCountingOpt/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncRuntimeRefCountingOpt/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateAsyncAsyncToAsyncRuntime/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateAsyncAsyncToAsyncRuntime/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionArithToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionArithToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAffineForToGPU/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAffineForToGPU/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAffineToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAffineToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAMDGPUToROCDL/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAMDGPUToROCDL/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertArithToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertArithToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertArmNeon2dToIntr/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertArmNeon2dToIntr/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertAsyncToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertAsyncToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertBufferizationToMemRef/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertBufferizationToMemRef/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToLibm/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToLibm/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToSPIRVPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToSPIRVPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertComplexToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertComplexToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertControlFlowToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertControlFlowToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertControlFlowToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertControlFlowToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertFuncToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertFuncToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertFuncToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertFuncToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGPUToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGPUToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuOpsToNVVMOps/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuOpsToNVVMOps/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertGpuOpsToROCDLOps/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertGpuOpsToROCDLOps/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertIndexToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertIndexToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertLinalgToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertLinalgToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertLinalgToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertLinalgToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToFuncs/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToFuncs/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToLibm/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToLibm/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMathToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMathToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertMemRefToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertMemRefToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertNVGPUToNVVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertNVGPUToNVVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertNVVMToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertNVVMToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertOpenACCToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertOpenACCToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertOpenMPToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertOpenMPToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertParallelLoopToGpu/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertParallelLoopToGpu/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertPDLToPDLInterp/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertPDLToPDLInterp/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertSCFToOpenMPPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertSCFToOpenMPPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertShapeConstraints/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertShapeConstraints/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertShapeToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertShapeToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertSPIRVToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertSPIRVToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertTensorToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertTensorToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertTensorToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertTensorToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToGPU/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToGPU/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVectorToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVectorToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionConvertVulkanLaunchFuncToVulkanCallsPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionConvertVulkanLaunchFuncToVulkanCallsPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionFinalizeMemRefToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionFinalizeMemRefToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionGpuToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionGpuToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionLowerHostCodeToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionLowerHostCodeToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionMapMemRefStorageClass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionMapMemRefStorageClass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionReconcileUnrealizedCasts/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionReconcileUnrealizedCasts/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionSCFToControlFlow/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionSCFToControlFlow/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionSCFToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionSCFToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToArith/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToArith/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToLinalgNamed/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToLinalgNamed/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateConversionTosaToTensor/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateConversionTosaToTensor/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateExternalPass/9","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateExternalPass/9"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuAsyncRegionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuAsyncRegionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuKernelOutlining/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuKernelOutlining/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuLaunchSinkIndexComputations/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuLaunchSinkIndexComputations/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateGPUGpuMapParallelLoopsPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateGPUGpuMapParallelLoopsPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgConvertElementwiseToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgConvertElementwiseToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgBufferize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgBufferize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgDetensorize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgDetensorize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgElementwiseOpFusion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgElementwiseOpFusion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgFoldUnitExtentDims/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgFoldUnitExtentDims/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgGeneralization/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgGeneralization/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgInlineScalarOperands/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgInlineScalarOperands/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToAffineLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToAffineLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgLowerToParallelLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgLowerToParallelLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateLinalgLinalgNamedOpConversion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateLinalgLinalgNamedOpConversion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorPostSparsificationRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorPostSparsificationRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorPreSparsificationRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorPreSparsificationRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseBufferRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseBufferRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseGPUCodegen/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseGPUCodegen/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseTensorCodegen/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseTensorCodegen/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseTensorConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseTensorConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparseVectorization/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparseVectorization/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorSparsificationPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorSparsificationPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateSparseTensorStorageSpecifierToLLVM/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateSparseTensorStorageSpecifierToLLVM/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsCanonicalizer/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsCanonicalizer/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsControlFlowSink/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsControlFlowSink/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsCSE/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsCSE/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsGenerateRuntimeVerification/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsGenerateRuntimeVerification/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsInliner/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsInliner/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsLocationSnapshot/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsLocationSnapshot/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsLoopInvariantCodeMotion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsLoopInvariantCodeMotion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsMem2Reg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsMem2Reg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsPrintIRPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsPrintIRPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsPrintOpStats/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsPrintOpStats/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSCCP/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSCCP/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSROA/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSROA/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsStripDebugInfo/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsStripDebugInfo/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSymbolDCE/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSymbolDCE/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsSymbolPrivatize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsSymbolPrivatize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsTopologicalSort/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsTopologicalSort/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirCreateTransformsViewOpGraph/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirCreateTransformsViewOpGraph/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseArrayAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseArrayAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseArrayGetNumElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseArrayGetNumElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseBoolArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseBoolArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseBoolArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseBoolArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseBoolResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseBoolResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseDoubleResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseDoubleResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBFloat16Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBFloat16Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBoolGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBoolGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrBoolSplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrBoolSplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrDoubleGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrDoubleGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrDoubleSplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrDoubleSplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloat16Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloat16Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloatGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloatGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrFloatSplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrFloatSplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetBoolSplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetBoolSplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetBoolValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetBoolValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetDoubleSplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetDoubleSplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetDoubleValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetDoubleValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetFloatSplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetFloatSplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetFloatValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetFloatValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt8SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt8SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt8Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt8Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt16Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt16Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt32SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt32SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt32Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt32Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt64SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt64SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetInt64Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetInt64Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetRawData/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetRawData/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetSplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetSplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetStringSplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetStringSplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetStringValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetStringValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt8SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt8SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt8Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt8Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt16Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt16Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt32SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt32SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt32Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt32Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt64SplatValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt64SplatValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrGetUInt64Value/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrGetUInt64Value/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt8Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt8Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt8SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt8SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt16Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt16Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt32Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt32Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt32SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt32SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt64Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt64Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrInt64SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrInt64SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrIsSplat/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrIsSplat/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrRawBufferGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrRawBufferGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrReshapeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrReshapeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrSplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrSplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrStringGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrStringGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt8Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt8Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt8SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt8SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt16Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt16Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt32Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt32Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt32SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt32SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt64Get/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt64Get/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseElementsAttrUInt64SplatGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseElementsAttrUInt64SplatGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseF32ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF32ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseF32ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF32ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseF64ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF64ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseF64ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseF64ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseFloatResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseFloatResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI8ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI8ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI8ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI8ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI16ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI16ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI16ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI16ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI32ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI32ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI32ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI32ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI64ArrayGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI64ArrayGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseI64ArrayGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseI64ArrayGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseInt8ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseInt8ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseInt16ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseInt16ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseInt32ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseInt32ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseInt64ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseInt64ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseIntOrFPElementsAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseIntOrFPElementsAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseUInt8ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseUInt8ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseUInt16ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseUInt16ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseUInt32ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseUInt32ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDenseUInt64ResourceElementsAttrGetValue/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDenseUInt64ResourceElementsAttrGetValue/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetLocation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetLocation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetNote/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetNote/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetNumNotes/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetNumNotes/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDiagnosticGetSeverity/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticGetSeverity/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDiagnosticPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDiagnosticPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectGetNamespace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectGetNamespace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectHandleGetNamespace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleGetNamespace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectHandleInsertDialect/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleInsertDialect/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectHandleLoadDialect/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleLoadDialect/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectHandleRegisterDialect/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectHandleRegisterDialect/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectRegistryCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectRegistryCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDialectRegistryDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDialectRegistryDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetElement/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetElement/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetElementByName/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetElementByName/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetNumElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetNumElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirDictionaryAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirDictionaryAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirElementsAttrGetNumElements/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrGetNumElements/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirElementsAttrGetValue/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrGetValue/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirElementsAttrIsValidIndex/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirElementsAttrIsValidIndex/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirEmitError/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirEmitError/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirEnableGlobalDebug/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirEnableGlobalDebug/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineCreate/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineCreate/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineDumpToObjectFile/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineDumpToObjectFile/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineInvokePacked/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineInvokePacked/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineLookup/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineLookup/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineLookupPacked/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineLookupPacked/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExecutionEngineRegisterSymbol/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExecutionEngineRegisterSymbol/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirExternalPassSignalFailure/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirExternalPassSignalFailure/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirF16TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF16TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirF32TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF32TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirF64TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirF64TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFlatSymbolRefAttrGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFlatSymbolRefAttrGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFlatSymbolRefAttrGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFlatSymbolRefAttrGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3B11FNUZTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3B11FNUZTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3B11FNUZTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3B11FNUZTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3FNTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3FNTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3FNTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3FNTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3FNUZTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3FNUZTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E4M3FNUZTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E4M3FNUZTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E5M2FNUZTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E5M2FNUZTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E5M2FNUZTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E5M2FNUZTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E5M2TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E5M2TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat8E5M2TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat8E5M2TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat16TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat16TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat32TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat32TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloat64TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloat64TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloatAttrDoubleGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrDoubleGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloatAttrDoubleGetChecked/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrDoubleGetChecked/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloatAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloatAttrGetValueDouble/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatAttrGetValueDouble/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFloatTF32TypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFloatTF32TypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetInput/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetInput/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetNumInputs/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetNumInputs/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetNumResults/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetNumResults/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetResult/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetResult/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirFunctionTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirFunctionTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__async__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__async__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__cf__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__cf__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__elixir__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__elixir__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__func__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__func__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__gpu__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__gpu__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__linalg__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__linalg__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__llvm__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__llvm__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__pdl__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__pdl__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__quant__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__quant__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__scf__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__scf__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__shape__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__shape__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__sparse_tensor__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__sparse_tensor__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirGetDialectHandle__tensor__/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirGetDialectHandle__tensor__/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIdentifierEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIdentifierGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIdentifierGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIdentifierStr/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIdentifierStr/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIndexTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIndexTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIndexTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIndexTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirInferShapedTypeOpInterfaceInferReturnTypes/11","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferShapedTypeOpInterfaceInferReturnTypes/11"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirInferShapedTypeOpInterfaceTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferShapedTypeOpInterfaceTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirInferTypeOpInterfaceInferReturnTypes/11","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferTypeOpInterfaceInferReturnTypes/11"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirInferTypeOpInterfaceTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirInferTypeOpInterfaceTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueInt/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueInt/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueSInt/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueSInt/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerAttrGetValueUInt/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerAttrGetValueUInt/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetEmptyGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetEmptyGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGet/6","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGet/6"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetConstraint/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetConstraint/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumConstraints/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumConstraints/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumDims/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumDims/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumEqualities/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumEqualities/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumInequalities/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumInequalities/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumInputs/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumInputs/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetGetNumSymbols/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetGetNumSymbols/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetIsCanonicalEmpty/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetIsCanonicalEmpty/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetIsConstraintEq/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetIsConstraintEq/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerSetReplaceGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerSetReplaceGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeGetWidth/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeGetWidth/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsSigned/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsSigned/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsSignless/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsSignless/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeIsUnsigned/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeIsUnsigned/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeSignedGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeSignedGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIntegerTypeUnsignedGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIntegerTypeUnsignedGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirIsGlobalDebugEnabled/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirIsGlobalDebugEnabled/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLinalgFillBuiltinNamedOpRegion/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLinalgFillBuiltinNamedOpRegion/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLLVMArrayTypeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMArrayTypeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLLVMFunctionTypeGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMFunctionTypeGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLLVMPointerTypeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMPointerTypeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLLVMStructTypeLiteralGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMStructTypeLiteralGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLLVMVoidTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLLVMVoidTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLlvmThreadPoolCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLlvmThreadPoolCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLlvmThreadPoolDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLlvmThreadPoolDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationCallSiteGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationCallSiteGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationFileLineColGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationFileLineColGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationFromAttribute/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationFromAttribute/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationFusedGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationFusedGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationGetAttribute/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationGetAttribute/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationNameGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationNameGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirLocationUnknownGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirLocationUnknownGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeContiguousGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeContiguousGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeContiguousGetChecked/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeContiguousGetChecked/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetAffineMap/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetAffineMap/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetChecked/6","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetChecked/6"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetLayout/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetLayout/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetMemorySpace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetMemorySpace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirMemRefTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirMemRefTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleCreateEmpty/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleCreateEmpty/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleCreateParse/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleCreateParse/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleFromOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleFromOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleGetBody/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetBody/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirModuleGetOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirModuleGetOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirNamedAttributeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirNamedAttributeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirNoneTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirNoneTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirNoneTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirNoneTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGet/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGet/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGetData/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGetData/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGetDialectNamespace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGetDialectNamespace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGetData/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGetData/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGetDialectNamespace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGetDialectNamespace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpaqueTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpaqueTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationClone/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationClone/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationCreate/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationCreate/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationCreateParse/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationCreateParse/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetAttribute/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetAttribute/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetAttributeByName/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetAttributeByName/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetBlock/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetBlock/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetFirstRegion/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetFirstRegion/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetLocation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetLocation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetName/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetName/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNextInBlock/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNextInBlock/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNumAttributes/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumAttributes/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNumOperands/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumOperands/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNumRegions/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumRegions/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNumResults/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumResults/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetNumSuccessors/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetNumSuccessors/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetOperand/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetOperand/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetParentOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetParentOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetRegion/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetRegion/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetResult/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetResult/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetSuccessor/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetSuccessor/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationGetTypeID/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationGetTypeID/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationImplementsInterface/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationImplementsInterface/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationImplementsInterfaceStatic/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationImplementsInterfaceStatic/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationMoveAfter/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationMoveAfter/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationMoveBefore/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationMoveBefore/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationPrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationPrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationPrintWithFlags/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationPrintWithFlags/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationRemoveAttributeByName/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationRemoveAttributeByName/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationRemoveFromParent/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationRemoveFromParent/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationSetAttributeByName/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationSetAttributeByName/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationSetOperand/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationSetOperand/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateAddAttributes/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddAttributes/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateAddOperands/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddOperands/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateAddOwnedRegions/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddOwnedRegions/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateAddResults/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddResults/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateAddSuccessors/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateAddSuccessors/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateEnableResultTypeInference/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateEnableResultTypeInference/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationStateGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationStateGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationVerify/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationVerify/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationWriteBytecode/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationWriteBytecode/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOperationWriteBytecodeWithConfig/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOperationWriteBytecodeWithConfig/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpOperandGetNextUse/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpOperandGetNextUse/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpOperandGetOperandNumber/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpOperandGetOperandNumber/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpOperandGetOwner/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpOperandGetOwner/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpOperandIsNull/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpOperandIsNull/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPassManagerAddOwnedPass/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPassManagerAddOwnedPass/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPassManagerAddPipeline/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPassManagerAddPipeline/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPassManagerGetNestedUnder/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPassManagerGetNestedUnder/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsAssumeVerified/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsAssumeVerified/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsElideLargeElementsAttrs/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsElideLargeElementsAttrs/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsEnableDebugInfo/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsEnableDebugInfo/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsPrintGenericOpForm/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsPrintGenericOpForm/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpPrintingFlagsUseLocalScope/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpPrintingFlagsUseLocalScope/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpResultGetOwner/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpResultGetOwner/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirOpResultGetResultNumber/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirOpResultGetResultNumber/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirParsePassPipeline/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirParsePassPipeline/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerAddOwnedPass/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerAddOwnedPass/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerCreate/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerCreate/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerCreateOnOperation/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerCreateOnOperation/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerEnableIRPrinting/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerEnableIRPrinting/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerEnableVerifier/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerEnableVerifier/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerGetAsOpPassManager/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerGetAsOpPassManager/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerGetNestedUnder/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerGetNestedUnder/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPassManagerRunOnOp/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPassManagerRunOnOp/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLAttributeTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLAttributeTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLOperationTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLOperationTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLRangeTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLRangeTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLRangeTypeGetElementType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLRangeTypeGetElementType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLTypeTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLTypeTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPDLValueTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPDLValueTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirPrintPassPipeline/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirPrintPassPipeline/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastExpressedToStorageType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastExpressedToStorageType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastFromExpressedType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastFromExpressedType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastFromStorageType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastFromStorageType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastToExpressedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastToExpressedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeCastToStorageType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeCastToStorageType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetDefaultMaximumForInteger/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetDefaultMaximumForInteger/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetDefaultMinimumForInteger/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetDefaultMinimumForInteger/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetExpressedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetExpressedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetFlags/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetFlags/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetQuantizedElementType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetQuantizedElementType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetSignedFlag/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetSignedFlag/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeIntegralWidth/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeIntegralWidth/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeMax/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeMax/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeGetStorageTypeMin/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeGetStorageTypeMin/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeIsCompatibleExpressedType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeIsCompatibleExpressedType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirQuantizedTypeIsSigned/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirQuantizedTypeIsSigned/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGetChecked/5","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGetChecked/5"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGetEncoding/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGetEncoding/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRankedTensorTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRankedTensorTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionAppendOwnedBlock/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionAppendOwnedBlock/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionGetFirstBlock/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionGetFirstBlock/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionGetNextInOperation/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionGetNextInOperation/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlock/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlock/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlockAfter/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlockAfter/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegionInsertOwnedBlockBefore/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegionInsertOwnedBlockBefore/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAllDialects/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllDialects/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAllLLVMTranslations/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllLLVMTranslations/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAllPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAllPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncFuncToAsyncRuntime/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncFuncToAsyncRuntime/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncParallelFor/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncParallelFor/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimePolicyBasedRefCounting/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimePolicyBasedRefCounting/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimeRefCounting/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimeRefCounting/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncRuntimeRefCountingOpt/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncRuntimeRefCountingOpt/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncAsyncToAsyncRuntime/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncAsyncToAsyncRuntime/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterAsyncPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterAsyncPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionArithToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionArithToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAffineForToGPU/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAffineForToGPU/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAffineToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAffineToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAMDGPUToROCDL/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAMDGPUToROCDL/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertArithToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertArithToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertArmNeon2dToIntr/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertArmNeon2dToIntr/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertAsyncToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertAsyncToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertBufferizationToMemRef/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertBufferizationToMemRef/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToLibm/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToLibm/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToSPIRVPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToSPIRVPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertComplexToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertComplexToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertControlFlowToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertControlFlowToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertControlFlowToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertControlFlowToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertFuncToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertFuncToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertFuncToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertFuncToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGPUToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGPUToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuLaunchFuncToVulkanLaunchFunc/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuOpsToNVVMOps/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuOpsToNVVMOps/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertGpuOpsToROCDLOps/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertGpuOpsToROCDLOps/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertIndexToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertIndexToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertLinalgToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertLinalgToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertLinalgToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertLinalgToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToFuncs/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToFuncs/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToLibm/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToLibm/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMathToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMathToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertMemRefToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertMemRefToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertNVGPUToNVVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertNVGPUToNVVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertNVVMToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertNVVMToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertOpenACCToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertOpenACCToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertOpenMPToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertOpenMPToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertParallelLoopToGpu/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertParallelLoopToGpu/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertPDLToPDLInterp/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertPDLToPDLInterp/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertSCFToOpenMPPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertSCFToOpenMPPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertShapeConstraints/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertShapeConstraints/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertShapeToStandard/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertShapeToStandard/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertSPIRVToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertSPIRVToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertTensorToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertTensorToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertTensorToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertTensorToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToGPU/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToGPU/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVectorToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVectorToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionConvertVulkanLaunchFuncToVulkanCallsPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionConvertVulkanLaunchFuncToVulkanCallsPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionFinalizeMemRefToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionFinalizeMemRefToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionGpuToLLVMConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionGpuToLLVMConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionLowerHostCodeToLLVMPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionLowerHostCodeToLLVMPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionMapMemRefStorageClass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionMapMemRefStorageClass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionReconcileUnrealizedCasts/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionReconcileUnrealizedCasts/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionSCFToControlFlow/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionSCFToControlFlow/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionSCFToSPIRV/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionSCFToSPIRV/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToArith/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToArith/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToLinalgNamed/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToLinalgNamed/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToSCF/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToSCF/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterConversionTosaToTensor/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterConversionTosaToTensor/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuAsyncRegionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuAsyncRegionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuKernelOutlining/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuKernelOutlining/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuLaunchSinkIndexComputations/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuLaunchSinkIndexComputations/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterGPUGpuMapParallelLoopsPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUGpuMapParallelLoopsPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterGPUPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterGPUPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgConvertElementwiseToLinalg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgConvertElementwiseToLinalg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgBufferize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgBufferize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgDetensorize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgDetensorize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgElementwiseOpFusion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgElementwiseOpFusion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgFoldUnitExtentDims/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgFoldUnitExtentDims/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgGeneralization/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgGeneralization/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgInlineScalarOperands/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgInlineScalarOperands/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToAffineLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToAffineLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgLowerToParallelLoops/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgLowerToParallelLoops/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgLinalgNamedOpConversion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgLinalgNamedOpConversion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterLinalgPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterLinalgPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorPostSparsificationRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorPostSparsificationRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorPreSparsificationRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorPreSparsificationRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseBufferRewrite/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseBufferRewrite/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseGPUCodegen/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseGPUCodegen/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseTensorCodegen/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseTensorCodegen/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseTensorConversionPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseTensorConversionPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparseVectorization/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparseVectorization/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorSparsificationPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorSparsificationPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterSparseTensorStorageSpecifierToLLVM/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterSparseTensorStorageSpecifierToLLVM/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsCanonicalizer/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsCanonicalizer/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsControlFlowSink/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsControlFlowSink/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsCSE/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsCSE/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsGenerateRuntimeVerification/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsGenerateRuntimeVerification/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsInliner/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsInliner/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsLocationSnapshot/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsLocationSnapshot/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsLoopInvariantCodeMotion/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsLoopInvariantCodeMotion/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsMem2Reg/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsMem2Reg/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsPasses/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsPasses/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsPrintIRPass/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsPrintIRPass/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsPrintOpStats/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsPrintOpStats/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSCCP/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSCCP/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSROA/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSROA/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsStripDebugInfo/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsStripDebugInfo/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSymbolDCE/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSymbolDCE/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsSymbolPrivatize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsSymbolPrivatize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsTopologicalSort/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsTopologicalSort/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirRegisterTransformsViewOpGraph/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirRegisterTransformsViewOpGraph/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDimSize/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDimSize/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDynamicSize/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDynamicSize/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetDynamicStrideOrOffset/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetDynamicStrideOrOffset/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetElementType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetElementType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeGetRank/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeGetRank/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeHasRank/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeHasRank/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeHasStaticShape/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeHasStaticShape/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicDim/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicDim/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicSize/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicSize/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirShapedTypeIsDynamicStrideOrOffset/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirShapedTypeIsDynamicStrideOrOffset/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttrGetIndices/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttrGetIndices/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttrGetValues/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttrGetValues/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseElementsAttribute/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseElementsAttribute/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGet/6","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGet/6"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetCrdWidth/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetCrdWidth/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetDimToLvl/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetDimToLvl/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetLvlType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetLvlType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingAttrGetPosWidth/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingAttrGetPosWidth/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSparseTensorEncodingGetLvlRank/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSparseTensorEncodingGetLvlRank/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStridedLayoutAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStridedLayoutAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStridedLayoutAttrGetNumStrides/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStridedLayoutAttrGetNumStrides/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStridedLayoutAttrGetOffset/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStridedLayoutAttrGetOffset/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStridedLayoutAttrGetStride/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStridedLayoutAttrGetStride/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStridedLayoutAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStridedLayoutAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringAttrGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringAttrGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringAttrTypedGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringAttrTypedGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringRefCreateFromCString/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringRefCreateFromCString/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirStringRefEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirStringRefEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetLeafReference/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetLeafReference/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetNestedReference/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetNestedReference/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetNumNestedReferences/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetNumNestedReferences/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetRootReference/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetRootReference/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolRefAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolRefAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableCreate/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableCreate/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableErase/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableErase/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableGetSymbolAttributeName/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableGetSymbolAttributeName/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableGetVisibilityAttributeName/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableGetVisibilityAttributeName/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableInsert/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableInsert/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableLookup/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableLookup/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableReplaceAllSymbolUses/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableReplaceAllSymbolUses/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirSymbolTableWalkSymbolTables/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirSymbolTableWalkSymbolTables/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTF32TypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTF32TypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTupleTypeGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTupleTypeGetNumTypes/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGetNumTypes/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTupleTypeGetType/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGetType/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTupleTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTupleTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeAttrGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeAttrGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeAttrGetValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeAttrGetValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeGetContext/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeGetContext/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeGetDialect/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeGetDialect/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeGetTypeID/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeGetTypeID/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorAllocateTypeID/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorAllocateTypeID/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorCreate/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorCreate/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDAllocatorDestroy/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDAllocatorDestroy/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDCreate/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDCreate/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIDHashValue/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIDHashValue/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAAnyQuantizedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAAnyQuantizedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsABF16/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsABF16/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsACalibratedQuantizedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsACalibratedQuantizedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAComplex/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAComplex/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAF16/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF16/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAF32/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF32/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAF64/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAF64/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFloat8E4M3B11FNUZ/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFloat8E4M3B11FNUZ/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFloat8E4M3FN/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFloat8E4M3FN/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFloat8E4M3FNUZ/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFloat8E4M3FNUZ/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFloat8E5M2/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFloat8E5M2/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFloat8E5M2FNUZ/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFloat8E5M2FNUZ/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAFunction/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAFunction/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAIndex/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAIndex/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAInteger/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAInteger/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAMemRef/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAMemRef/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsANone/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsANone/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAOpaque/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAOpaque/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLAttributeType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLAttributeType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLOperationType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLOperationType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLRangeType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLRangeType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLTypeType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLTypeType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAPDLValueType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAPDLValueType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAQuantizedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAQuantizedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsARankedTensor/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsARankedTensor/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAShaped/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAShaped/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsATensor/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsATensor/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsATF32/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsATF32/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsATuple/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsATuple/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAUniformQuantizedPerAxisType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUniformQuantizedPerAxisType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAUniformQuantizedType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUniformQuantizedType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAUnrankedMemRef/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUnrankedMemRef/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAUnrankedTensor/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAUnrankedTensor/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeIsAVector/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeIsAVector/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypeParseGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypeParseGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirTypePrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirTypePrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGet/9","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGet/9"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetNumDims/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetNumDims/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetQuantizedDimension/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetQuantizedDimension/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetScale/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetScale/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeGetZeroPoint/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeGetZeroPoint/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedPerAxisTypeIsFixedPoint/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedPerAxisTypeIsFixedPoint/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGet/7","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGet/7"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGetScale/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGetScale/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeGetZeroPoint/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeGetZeroPoint/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUniformQuantizedTypeIsFixedPoint/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUniformQuantizedTypeIsFixedPoint/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnitAttrGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnitAttrGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnitAttrGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnitAttrGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseBoolResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseBoolResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseDoubleResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseDoubleResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseFloatResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseFloatResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseInt8ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseInt8ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseInt16ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseInt16ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseInt32ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseInt32ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseInt64ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseInt64ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseUInt8ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseUInt8ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseUInt16ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseUInt16ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseUInt32ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseUInt32ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnmanagedDenseUInt64ResourceElementsAttrGet/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnmanagedDenseUInt64ResourceElementsAttrGet/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedMemRefTypeGet/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemRefTypeGet/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedMemRefTypeGetChecked/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemRefTypeGetChecked/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedMemRefTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemRefTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedMemrefGetMemorySpace/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedMemrefGetMemorySpace/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedTensorTypeGet/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedTensorTypeGet/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedTensorTypeGetChecked/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedTensorTypeGetChecked/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirUnrankedTensorTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirUnrankedTensorTypeGetTypeID/0"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueDump/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueDump/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueEqual/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueEqual/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueGetFirstUse/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueGetFirstUse/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueGetType/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueGetType/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueIsABlockArgument/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueIsABlockArgument/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueIsAOpResult/1","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueIsAOpResult/1"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValuePrint/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValuePrint/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValuePrintAsOperand/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValuePrintAsOperand/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirValueReplaceAllUsesOfWith/2","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirValueReplaceAllUsesOfWith/2"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirVectorTypeGet/3","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirVectorTypeGet/3"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirVectorTypeGetChecked/4","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirVectorTypeGetChecked/4"},{"type":"function","title":"Beaver.MLIR.CAPI.mlirVectorTypeGetTypeID/0","doc":"","ref":"Beaver.MLIR.CAPI.html#mlirVectorTypeGetTypeID/0"},{"type":"module","title":"Beaver.MLIR.Context","doc":"This module defines functions creating or destroying MLIR context.","ref":"Beaver.MLIR.Context.html"},{"type":"function","title":"Beaver.MLIR.Context.create/0","doc":"","ref":"Beaver.MLIR.Context.html#create/0"},{"type":"function","title":"Beaver.MLIR.Context.create/1","doc":"create a MLIR context and register all dialects","ref":"Beaver.MLIR.Context.html#create/1"},{"type":"function","title":"Beaver.MLIR.Context.destroy/1","doc":"See Beaver.MLIR.CAPI.mlirContextDestroy/1 .","ref":"Beaver.MLIR.Context.html#destroy/1"},{"type":"function","title":"Beaver.MLIR.Context.make/1","doc":"","ref":"Beaver.MLIR.Context.html#make/1"},{"type":"type","title":"Beaver.MLIR.Context.t/0","doc":"","ref":"Beaver.MLIR.Context.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Conversion","doc":"Conversions MLIR provides by default.","ref":"Beaver.MLIR.Conversion.html"},{"type":"function","title":"Beaver.MLIR.Conversion.arm_neon_2d_to_intr/0","doc":"Convert Arm NEON structured ops to intrinsics Argument name in MLIR CLI arm-neon-2d-to-intr Pass name in TableGen ConvertArmNeon2dToIntr","ref":"Beaver.MLIR.Conversion.html#arm_neon_2d_to_intr/0"},{"type":"function","title":"Beaver.MLIR.Conversion.arm_neon_2d_to_intr/1","doc":"","ref":"Beaver.MLIR.Conversion.html#arm_neon_2d_to_intr/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_affine_for_to_gpu/0","doc":"Convert top-level AffineFor Ops to GPU kernels Argument name in MLIR CLI convert-affine-for-to-gpu Pass name in TableGen ConvertAffineForToGPU","ref":"Beaver.MLIR.Conversion.html#convert_affine_for_to_gpu/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_affine_for_to_gpu/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_affine_for_to_gpu/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_amdgpu_to_rocdl/0","doc":"Convert AMDGPU dialect to ROCDL dialect Argument name in MLIR CLI convert-amdgpu-to-rocdl Pass name in TableGen ConvertAMDGPUToROCDL","ref":"Beaver.MLIR.Conversion.html#convert_amdgpu_to_rocdl/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_amdgpu_to_rocdl/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_amdgpu_to_rocdl/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_arith_to_llvm/0","doc":"Convert Arith dialect to LLVM dialect Argument name in MLIR CLI convert-arith-to-llvm Pass name in TableGen ArithToLLVMConversionPass","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_arith_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_arith_to_spirv/0","doc":"Convert Arith dialect to SPIR-V dialect Argument name in MLIR CLI convert-arith-to-spirv Pass name in TableGen ConvertArithToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_arith_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_arith_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_async_to_llvm/0","doc":"Convert the operations from the async dialect into the LLVM dialect Argument name in MLIR CLI convert-async-to-llvm Pass name in TableGen ConvertAsyncToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_async_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_async_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_async_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_bufferization_to_memref/0","doc":"Convert operations from the Bufferization dialect to the MemRef dialect Argument name in MLIR CLI convert-bufferization-to-memref Pass name in TableGen ConvertBufferizationToMemRef","ref":"Beaver.MLIR.Conversion.html#convert_bufferization_to_memref/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_bufferization_to_memref/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_bufferization_to_memref/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_cf_to_llvm/0","doc":"Convert ControlFlow operations to the LLVM dialect Argument name in MLIR CLI convert-cf-to-llvm Pass name in TableGen ConvertControlFlowToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_cf_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_cf_to_spirv/0","doc":"Convert ControlFlow dialect to SPIR-V dialect Argument name in MLIR CLI convert-cf-to-spirv Pass name in TableGen ConvertControlFlowToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_cf_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_cf_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_libm/0","doc":"Convert Complex dialect to libm calls Argument name in MLIR CLI convert-complex-to-libm Pass name in TableGen ConvertComplexToLibm","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_libm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_libm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_libm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_llvm/0","doc":"Convert Complex dialect to LLVM dialect Argument name in MLIR CLI convert-complex-to-llvm Pass name in TableGen ConvertComplexToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_spirv/0","doc":"Convert Complex dialect to SPIRV dialect Argument name in MLIR CLI convert-complex-to-spirv Pass name in TableGen ConvertComplexToSPIRVPass","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_standard/0","doc":"Convert Complex dialect to standard dialect Argument name in MLIR CLI convert-complex-to-standard Pass name in TableGen ConvertComplexToStandard","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_standard/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_complex_to_standard/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_complex_to_standard/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_func_to_llvm/0","doc":"Convert from the Func dialect to the LLVM dialect Argument name in MLIR CLI convert-func-to-llvm Pass name in TableGen ConvertFuncToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_func_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_func_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_func_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_func_to_spirv/0","doc":"Convert Func dialect to SPIR-V dialect Argument name in MLIR CLI convert-func-to-spirv Pass name in TableGen ConvertFuncToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_func_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_func_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_func_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_launch_to_vulkan_launch/0","doc":"Convert gpu.launch_func to vulkanLaunch external call Argument name in MLIR CLI convert-gpu-launch-to-vulkan-launch Pass name in TableGen ConvertGpuLaunchFuncToVulkanLaunchFunc","ref":"Beaver.MLIR.Conversion.html#convert_gpu_launch_to_vulkan_launch/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_launch_to_vulkan_launch/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_launch_to_vulkan_launch/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_nvvm/0","doc":"Generate NVVM operations for gpu operations Argument name in MLIR CLI convert-gpu-to-nvvm Pass name in TableGen ConvertGpuOpsToNVVMOps","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_nvvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_nvvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_nvvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_rocdl/0","doc":"Generate ROCDL operations for gpu operations Argument name in MLIR CLI convert-gpu-to-rocdl Pass name in TableGen ConvertGpuOpsToROCDLOps","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_rocdl/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_rocdl/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_rocdl/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_spirv/0","doc":"Convert GPU dialect to SPIR-V dialect Argument name in MLIR CLI convert-gpu-to-spirv Pass name in TableGen ConvertGPUToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_gpu_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_gpu_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_index_to_llvm/0","doc":"Lower the index dialect to the llvm dialect. Argument name in MLIR CLI convert-index-to-llvm Pass name in TableGen ConvertIndexToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_index_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_index_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_index_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_linalg_to_llvm/0","doc":"Convert the operations from the linalg dialect into the LLVM dialect Argument name in MLIR CLI convert-linalg-to-llvm Pass name in TableGen ConvertLinalgToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_linalg_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_linalg_to_std/0","doc":"Convert the operations from the linalg dialect into the Standard dialect Argument name in MLIR CLI convert-linalg-to-std Pass name in TableGen ConvertLinalgToStandard","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_std/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_linalg_to_std/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_linalg_to_std/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_funcs/0","doc":"Convert Math operations to calls of outlined implementations. Argument name in MLIR CLI convert-math-to-funcs Pass name in TableGen ConvertMathToFuncs","ref":"Beaver.MLIR.Conversion.html#convert_math_to_funcs/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_funcs/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_funcs/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_libm/0","doc":"Convert Math dialect to libm calls Argument name in MLIR CLI convert-math-to-libm Pass name in TableGen ConvertMathToLibm","ref":"Beaver.MLIR.Conversion.html#convert_math_to_libm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_libm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_libm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_llvm/0","doc":"Convert Math dialect to LLVM dialect Argument name in MLIR CLI convert-math-to-llvm Pass name in TableGen ConvertMathToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_math_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_spirv/0","doc":"Convert Math dialect to SPIR-V dialect Argument name in MLIR CLI convert-math-to-spirv Pass name in TableGen ConvertMathToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_math_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_math_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_math_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_memref_to_spirv/0","doc":"Convert MemRef dialect to SPIR-V dialect Argument name in MLIR CLI convert-memref-to-spirv Pass name in TableGen ConvertMemRefToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_memref_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_memref_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_nvgpu_to_nvvm/0","doc":"Convert NVGPU dialect to NVVM dialect Argument name in MLIR CLI convert-nvgpu-to-nvvm Pass name in TableGen ConvertNVGPUToNVVMPass","ref":"Beaver.MLIR.Conversion.html#convert_nvgpu_to_nvvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_nvgpu_to_nvvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_nvgpu_to_nvvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_nvvm_to_llvm/0","doc":"Convert NVVM dialect to LLVM dialect Argument name in MLIR CLI convert-nvvm-to-llvm Pass name in TableGen ConvertNVVMToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_nvvm_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_nvvm_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_nvvm_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_openacc_to_scf/0","doc":"Convert the OpenACC ops to OpenACC with SCF dialect Argument name in MLIR CLI convert-openacc-to-scf Pass name in TableGen ConvertOpenACCToSCF","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_scf/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_openacc_to_scf/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_openacc_to_scf/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_openmp_to_llvm/0","doc":"Convert the OpenMP ops to OpenMP ops with LLVM dialect Argument name in MLIR CLI convert-openmp-to-llvm Pass name in TableGen ConvertOpenMPToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_openmp_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_openmp_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_openmp_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_parallel_loops_to_gpu/0","doc":"Convert mapped scf.parallel ops to gpu launch operations Argument name in MLIR CLI convert-parallel-loops-to-gpu Pass name in TableGen ConvertParallelLoopToGpu","ref":"Beaver.MLIR.Conversion.html#convert_parallel_loops_to_gpu/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_parallel_loops_to_gpu/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_parallel_loops_to_gpu/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_pdl_to_pdl_interp/0","doc":"Convert PDL ops to PDL interpreter ops Argument name in MLIR CLI convert-pdl-to-pdl-interp Pass name in TableGen ConvertPDLToPDLInterp","ref":"Beaver.MLIR.Conversion.html#convert_pdl_to_pdl_interp/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_pdl_to_pdl_interp/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_pdl_to_pdl_interp/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_cf/0","doc":"Convert SCF dialect to ControlFlow dialect, replacing structured control flow with a CFG Argument name in MLIR CLI convert-scf-to-cf Pass name in TableGen SCFToControlFlow","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_cf/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_cf/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_cf/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_openmp/0","doc":"Convert SCF parallel loop to OpenMP parallel + workshare constructs. Argument name in MLIR CLI convert-scf-to-openmp Pass name in TableGen ConvertSCFToOpenMPPass","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_openmp/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_openmp/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_openmp/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_spirv/0","doc":"Convert SCF dialect to SPIR-V dialect. Argument name in MLIR CLI convert-scf-to-spirv Pass name in TableGen SCFToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_scf_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_scf_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_shape_constraints/0","doc":"Convert shape constraint operations to the standard dialect Argument name in MLIR CLI convert-shape-constraints Pass name in TableGen ConvertShapeConstraints","ref":"Beaver.MLIR.Conversion.html#convert_shape_constraints/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_shape_constraints/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_shape_constraints/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_shape_to_std/0","doc":"Convert operations from the shape dialect into the standard dialect Argument name in MLIR CLI convert-shape-to-std Pass name in TableGen ConvertShapeToStandard","ref":"Beaver.MLIR.Conversion.html#convert_shape_to_std/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_shape_to_std/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_shape_to_std/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_spirv_to_llvm/0","doc":"Convert SPIR-V dialect to LLVM dialect Argument name in MLIR CLI convert-spirv-to-llvm Pass name in TableGen ConvertSPIRVToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_spirv_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_spirv_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_spirv_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_tensor_to_linalg/0","doc":"Convert some Tensor dialect ops to Linalg dialect Argument name in MLIR CLI convert-tensor-to-linalg Pass name in TableGen ConvertTensorToLinalg","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_linalg/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_tensor_to_linalg/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_linalg/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_tensor_to_spirv/0","doc":"Convert Tensor dialect to SPIR-V dialect Argument name in MLIR CLI convert-tensor-to-spirv Pass name in TableGen ConvertTensorToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_tensor_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_tensor_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_gpu/0","doc":"Lower the operations from the vector dialect into the GPU dialect Argument name in MLIR CLI convert-vector-to-gpu Pass name in TableGen ConvertVectorToGPU","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_gpu/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_gpu/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_gpu/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_llvm/0","doc":"Lower the operations from the vector dialect into the LLVM dialect Argument name in MLIR CLI convert-vector-to-llvm Pass name in TableGen ConvertVectorToLLVMPass","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_scf/0","doc":"Lower the operations from the vector dialect into the SCF dialect Argument name in MLIR CLI convert-vector-to-scf Pass name in TableGen ConvertVectorToSCF","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_scf/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_scf/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_scf/1"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_spirv/0","doc":"Convert Vector dialect to SPIR-V dialect Argument name in MLIR CLI convert-vector-to-spirv Pass name in TableGen ConvertVectorToSPIRV","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_spirv/0"},{"type":"function","title":"Beaver.MLIR.Conversion.convert_vector_to_spirv/1","doc":"","ref":"Beaver.MLIR.Conversion.html#convert_vector_to_spirv/1"},{"type":"function","title":"Beaver.MLIR.Conversion.finalize_memref_to_llvm/0","doc":"Finalize MemRef dialect to LLVM dialect conversion Argument name in MLIR CLI finalize-memref-to-llvm Pass name in TableGen FinalizeMemRefToLLVMConversionPass","ref":"Beaver.MLIR.Conversion.html#finalize_memref_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.finalize_memref_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#finalize_memref_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.gpu_to_llvm/0","doc":"Convert GPU dialect to LLVM dialect with GPU runtime calls Argument name in MLIR CLI gpu-to-llvm Pass name in TableGen GpuToLLVMConversionPass","ref":"Beaver.MLIR.Conversion.html#gpu_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.gpu_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#gpu_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.launch_func_to_vulkan/0","doc":"Convert vulkanLaunch external call to Vulkan runtime external calls Argument name in MLIR CLI launch-func-to-vulkan Pass name in TableGen ConvertVulkanLaunchFuncToVulkanCallsPass","ref":"Beaver.MLIR.Conversion.html#launch_func_to_vulkan/0"},{"type":"function","title":"Beaver.MLIR.Conversion.launch_func_to_vulkan/1","doc":"","ref":"Beaver.MLIR.Conversion.html#launch_func_to_vulkan/1"},{"type":"function","title":"Beaver.MLIR.Conversion.lower_affine/0","doc":"Lower Affine operations to a combination of Standard and SCF operations Argument name in MLIR CLI lower-affine Pass name in TableGen ConvertAffineToStandard","ref":"Beaver.MLIR.Conversion.html#lower_affine/0"},{"type":"function","title":"Beaver.MLIR.Conversion.lower_affine/1","doc":"","ref":"Beaver.MLIR.Conversion.html#lower_affine/1"},{"type":"function","title":"Beaver.MLIR.Conversion.lower_host_to_llvm/0","doc":"Lowers the host module code and gpu.launch_func to LLVM Argument name in MLIR CLI lower-host-to-llvm Pass name in TableGen LowerHostCodeToLLVMPass","ref":"Beaver.MLIR.Conversion.html#lower_host_to_llvm/0"},{"type":"function","title":"Beaver.MLIR.Conversion.lower_host_to_llvm/1","doc":"","ref":"Beaver.MLIR.Conversion.html#lower_host_to_llvm/1"},{"type":"function","title":"Beaver.MLIR.Conversion.map_memref_spirv_storage_class/0","doc":"Map numeric MemRef memory spaces to SPIR-V storage classes Argument name in MLIR CLI map-memref-spirv-storage-class Pass name in TableGen MapMemRefStorageClass","ref":"Beaver.MLIR.Conversion.html#map_memref_spirv_storage_class/0"},{"type":"function","title":"Beaver.MLIR.Conversion.map_memref_spirv_storage_class/1","doc":"","ref":"Beaver.MLIR.Conversion.html#map_memref_spirv_storage_class/1"},{"type":"function","title":"Beaver.MLIR.Conversion.reconcile_unrealized_casts/0","doc":"Simplify and eliminate unrealized conversion casts Argument name in MLIR CLI reconcile-unrealized-casts Pass name in TableGen ReconcileUnrealizedCasts","ref":"Beaver.MLIR.Conversion.html#reconcile_unrealized_casts/0"},{"type":"function","title":"Beaver.MLIR.Conversion.reconcile_unrealized_casts/1","doc":"","ref":"Beaver.MLIR.Conversion.html#reconcile_unrealized_casts/1"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_arith/0","doc":"Lower TOSA to the Arith dialect Argument name in MLIR CLI tosa-to-arith Pass name in TableGen TosaToArith","ref":"Beaver.MLIR.Conversion.html#tosa_to_arith/0"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_arith/1","doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_arith/1"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_linalg/0","doc":"Lower TOSA to LinAlg on tensors Argument name in MLIR CLI tosa-to-linalg Pass name in TableGen TosaToLinalg","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg/0"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_linalg/1","doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg/1"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_linalg_named/0","doc":"Lower TOSA to LinAlg named operations Argument name in MLIR CLI tosa-to-linalg-named Pass name in TableGen TosaToLinalgNamed","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg_named/0"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_linalg_named/1","doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_linalg_named/1"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_scf/0","doc":"Lower TOSA to the SCF dialect Argument name in MLIR CLI tosa-to-scf Pass name in TableGen TosaToSCF","ref":"Beaver.MLIR.Conversion.html#tosa_to_scf/0"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_scf/1","doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_scf/1"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_tensor/0","doc":"Lower TOSA to the Tensor dialect Argument name in MLIR CLI tosa-to-tensor Pass name in TableGen TosaToTensor","ref":"Beaver.MLIR.Conversion.html#tosa_to_tensor/0"},{"type":"function","title":"Beaver.MLIR.Conversion.tosa_to_tensor/1","doc":"","ref":"Beaver.MLIR.Conversion.html#tosa_to_tensor/1"},{"type":"behaviour","title":"Beaver.MLIR.Dialect","doc":"This module defines macro to generate code for an MLIR dialect.","ref":"Beaver.MLIR.Dialect.html"},{"type":"macro","title":"Beaver.MLIR.Dialect.define_modules/1","doc":"","ref":"Beaver.MLIR.Dialect.html#define_modules/1"},{"type":"function","title":"Beaver.MLIR.Dialect.dialects/0","doc":"","ref":"Beaver.MLIR.Dialect.html#dialects/0"},{"type":"callback","title":"Beaver.MLIR.Dialect.eval_ssa/2","doc":"","ref":"Beaver.MLIR.Dialect.html#c:eval_ssa/2"},{"type":"module","title":"Beaver.MLIR.ExecutionEngine","doc":"This module defines functions working with MLIR ExecutionEngine.","ref":"Beaver.MLIR.ExecutionEngine.html"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.create!/1","doc":"Create a MLIR JIT engine for a module and check if successful. Usually this module should be of LLVM dialect.","ref":"Beaver.MLIR.ExecutionEngine.html#create!/1"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.create!/2","doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#create!/2"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.destroy/1","doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#destroy/1"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.invoke!/3","doc":"invoke a void function by symbol name.","ref":"Beaver.MLIR.ExecutionEngine.html#invoke!/3"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.invoke!/4","doc":"invoke a function by symbol name.","ref":"Beaver.MLIR.ExecutionEngine.html#invoke!/4"},{"type":"function","title":"Beaver.MLIR.ExecutionEngine.is_null/1","doc":"","ref":"Beaver.MLIR.ExecutionEngine.html#is_null/1"},{"type":"module","title":"Beaver.MLIR.Identifier","doc":"This module defines functions working with MLIR Identifier.","ref":"Beaver.MLIR.Identifier.html"},{"type":"function","title":"Beaver.MLIR.Identifier.make/1","doc":"","ref":"Beaver.MLIR.Identifier.html#make/1"},{"type":"type","title":"Beaver.MLIR.Identifier.t/0","doc":"","ref":"Beaver.MLIR.Identifier.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Location","doc":"This module defines functions working with MLIR Location.","ref":"Beaver.MLIR.Location.html"},{"type":"function","title":"Beaver.MLIR.Location.file/1","doc":"Get a location of file line. Column is zero by default because in Elixir it is usually omitted. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Location . file ( name : &quot;filename&quot; , line : 1 , column : 1 , ctx : ctx ) |&gt; MLIR . to_string ( ) ~s{filename:1:1} iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Location.html#file/1"},{"type":"function","title":"Beaver.MLIR.Location.make/1","doc":"","ref":"Beaver.MLIR.Location.html#make/1"},{"type":"function","title":"Beaver.MLIR.Location.unknown/1","doc":"","ref":"Beaver.MLIR.Location.html#unknown/1"},{"type":"type","title":"Beaver.MLIR.Location.t/0","doc":"","ref":"Beaver.MLIR.Location.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.LogicalResult","doc":"This module defines functions working with MLIR LogicalResult.","ref":"Beaver.MLIR.LogicalResult.html"},{"type":"function","title":"Beaver.MLIR.LogicalResult.make/1","doc":"","ref":"Beaver.MLIR.LogicalResult.html#make/1"},{"type":"function","title":"Beaver.MLIR.LogicalResult.success?/1","doc":"","ref":"Beaver.MLIR.LogicalResult.html#success?/1"},{"type":"type","title":"Beaver.MLIR.LogicalResult.t/0","doc":"","ref":"Beaver.MLIR.LogicalResult.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Module","doc":"This module defines functions working with MLIR Module.","ref":"Beaver.MLIR.Module.html"},{"type":"function","title":"Beaver.MLIR.Module.create/2","doc":"","ref":"Beaver.MLIR.Module.html#create/2"},{"type":"function","title":"Beaver.MLIR.Module.create!/2","doc":"","ref":"Beaver.MLIR.Module.html#create!/2"},{"type":"function","title":"Beaver.MLIR.Module.destroy/1","doc":"","ref":"Beaver.MLIR.Module.html#destroy/1"},{"type":"function","title":"Beaver.MLIR.Module.is_null/1","doc":"","ref":"Beaver.MLIR.Module.html#is_null/1"},{"type":"function","title":"Beaver.MLIR.Module.make/1","doc":"","ref":"Beaver.MLIR.Module.html#make/1"},{"type":"function","title":"Beaver.MLIR.Module.verify!/1","doc":"","ref":"Beaver.MLIR.Module.html#verify!/1"},{"type":"type","title":"Beaver.MLIR.Module.t/0","doc":"","ref":"Beaver.MLIR.Module.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.NamedAttribute","doc":"This module defines a wrapper struct of NamedAttribute in MLIR","ref":"Beaver.MLIR.NamedAttribute.html"},{"type":"function","title":"Beaver.MLIR.NamedAttribute.make/1","doc":"","ref":"Beaver.MLIR.NamedAttribute.html#make/1"},{"type":"type","title":"Beaver.MLIR.NamedAttribute.t/0","doc":"","ref":"Beaver.MLIR.NamedAttribute.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.ODS","doc":"ODS helper functions to work with special concepts in ODS.","ref":"Beaver.MLIR.ODS.html"},{"type":"function","title":"Beaver.MLIR.ODS.operand_segment_sizes/1","doc":"Generate attribute for operand_segment_sizes","ref":"Beaver.MLIR.ODS.html#operand_segment_sizes/1"},{"type":"function","title":"Beaver.MLIR.ODS.result_segment_sizes/1","doc":"See Beaver.MLIR.ODS.operand_segment_sizes/1 .","ref":"Beaver.MLIR.ODS.html#result_segment_sizes/1"},{"type":"module","title":"Beaver.MLIR.Operation","doc":"This module defines functions working with MLIR Operation.","ref":"Beaver.MLIR.Operation.html"},{"type":"function","title":"Beaver.MLIR.Operation.dump/1","doc":"","ref":"Beaver.MLIR.Operation.html#dump/1"},{"type":"function","title":"Beaver.MLIR.Operation.dump!/1","doc":"Verify the op and dump it. It raises if the verification fails.","ref":"Beaver.MLIR.Operation.html#dump!/1"},{"type":"function","title":"Beaver.MLIR.Operation.from_module/1","doc":"","ref":"Beaver.MLIR.Operation.html#from_module/1"},{"type":"function","title":"Beaver.MLIR.Operation.make/1","doc":"","ref":"Beaver.MLIR.Operation.html#make/1"},{"type":"function","title":"Beaver.MLIR.Operation.name/1","doc":"","ref":"Beaver.MLIR.Operation.html#name/1"},{"type":"function","title":"Beaver.MLIR.Operation.results/1","doc":"","ref":"Beaver.MLIR.Operation.html#results/1"},{"type":"function","title":"Beaver.MLIR.Operation.verify/2","doc":"","ref":"Beaver.MLIR.Operation.html#verify/2"},{"type":"function","title":"Beaver.MLIR.Operation.verify!/2","doc":"","ref":"Beaver.MLIR.Operation.html#verify!/2"},{"type":"type","title":"Beaver.MLIR.Operation.t/0","doc":"","ref":"Beaver.MLIR.Operation.html#t:t/0"},{"type":"behaviour","title":"Beaver.MLIR.Pass","doc":"This module defines functions working with MLIR Pass.","ref":"Beaver.MLIR.Pass.html"},{"type":"function","title":"Beaver.MLIR.Pass.make/1","doc":"","ref":"Beaver.MLIR.Pass.html#make/1"},{"type":"callback","title":"Beaver.MLIR.Pass.run/1","doc":"","ref":"Beaver.MLIR.Pass.html#c:run/1"},{"type":"type","title":"Beaver.MLIR.Pass.t/0","doc":"","ref":"Beaver.MLIR.Pass.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Pass.Composer","doc":"This module provide functions to compose passes.","ref":"Beaver.MLIR.Pass.Composer.html"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.append/2","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#append/2"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.nested/3","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#nested/3"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.new/1","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#new/1"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.run/2","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#run/2"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.run!/2","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#run!/2"},{"type":"function","title":"Beaver.MLIR.Pass.Composer.to_pipeline/1","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#to_pipeline/1"},{"type":"type","title":"Beaver.MLIR.Pass.Composer.composer/0","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#t:composer/0"},{"type":"type","title":"Beaver.MLIR.Pass.Composer.operation/0","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#t:operation/0"},{"type":"type","title":"Beaver.MLIR.Pass.Composer.run_option/0","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#t:run_option/0"},{"type":"type","title":"Beaver.MLIR.Pass.Composer.run_result/0","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#t:run_result/0"},{"type":"type","title":"Beaver.MLIR.Pass.Composer.t/0","doc":"","ref":"Beaver.MLIR.Pass.Composer.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Pass.Server","doc":"server to forward invoking from C to a Elixir module","ref":"Beaver.MLIR.Pass.Server.html"},{"type":"function","title":"Beaver.MLIR.Pass.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Beaver.MLIR.Pass.Server.html#child_spec/1"},{"type":"module","title":"Beaver.MLIR.Pattern","doc":"Although this module is MLIR.Pattern , at this point it is a synonym of PDL patterns. Pattern-matching is done by MLIR which works in a different way from Erlang pattern-matching. The major difference is that MLIR pattern-matching will greedily match the patterns and maximize the benefit. Compiled patterns will be saved as module attributes in MLIR assembly format.","ref":"Beaver.MLIR.Pattern.html"},{"type":"function","title":"Beaver.MLIR.Pattern.apply!/3","doc":"Apply patterns on a container (region, operation, module). It returns the container if it succeeds otherwise it raises.","ref":"Beaver.MLIR.Pattern.html#apply!/3"},{"type":"function","title":"Beaver.MLIR.Pattern.apply_/3","doc":"Apply patterns on a container (region, operation, module). It is named apply_ with a underscore to avoid name collision with Kernel.apply/2","ref":"Beaver.MLIR.Pattern.html#apply_/3"},{"type":"function","title":"Beaver.MLIR.Pattern.from_string/2","doc":"","ref":"Beaver.MLIR.Pattern.html#from_string/2"},{"type":"module","title":"Beaver.MLIR.Region","doc":"This module defines functions working with MLIR Region.","ref":"Beaver.MLIR.Region.html"},{"type":"function","title":"Beaver.MLIR.Region.make/1","doc":"","ref":"Beaver.MLIR.Region.html#make/1"},{"type":"function","title":"Beaver.MLIR.Region.under/2","doc":"","ref":"Beaver.MLIR.Region.html#under/2"},{"type":"type","title":"Beaver.MLIR.Region.t/0","doc":"","ref":"Beaver.MLIR.Region.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Sigils","doc":"Sigils return a function to create MLIR elements by parsing the content.","ref":"Beaver.MLIR.Sigils.html"},{"type":"function","title":"Beaver.MLIR.Sigils.sigil_a/2","doc":"Create an attribute creator. You might add a modifier to it as a shortcut to annotate the type Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; Attribute . equal? ( Attribute . float ( Type . f ( 32 ) , 0.0 ) . ( ctx ) , ~a{0.0}f32 . ( ctx ) ) true iex&gt; ~a{1 : i32} . ( ctx ) |&gt; MLIR . to_string ( ) &quot;1 : i32&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_a/2"},{"type":"function","title":"Beaver.MLIR.Sigils.sigil_m/2","doc":"Create a module creator. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; % MLIR.Module { } = ~m&quot;&quot;&quot; ...&gt; module { ...&gt; func.func @add(%arg0 : i32, %arg1 : i32) -&gt; i32 attributes { llvm.emit_c_interface } { ...&gt; %res = arith.addi %arg0, %arg1 : i32 ...&gt; return %res : i32 ...&gt; } ...&gt; } ...&gt; &quot;&quot;&quot; . ( ctx ) |&gt; MLIR.Operation . verify! ( ) iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_m/2"},{"type":"function","title":"Beaver.MLIR.Sigils.sigil_t/2","doc":"Create a type creator. You might add a modifier to it as a shortcut to make it a higher order type. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; Type . equal? ( Type . unranked_tensor ( Type . f32 ( ) ) . ( ctx ) , ~t{tensor&lt;*xf32&gt;} . ( ctx ) ) true iex&gt; Type . equal? ( Type . complex ( Type . f32 ( ) ) . ( ctx ) , ~t&lt;f32&gt;complex . ( ctx ) ) true iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Sigils.html#sigil_t/2"},{"type":"module","title":"Beaver.MLIR.StringRef","doc":"This module defines functions working with MLIR StringRef.","ref":"Beaver.MLIR.StringRef.html"},{"type":"function","title":"Beaver.MLIR.StringRef.create/1","doc":"Create a Elixir owned C string from a Elixir bitstring and create a StringRef from it. StringRef will keep a reference to the C string to prevent it from being garbage collected by BEAM.","ref":"Beaver.MLIR.StringRef.html#create/1"},{"type":"function","title":"Beaver.MLIR.StringRef.make/1","doc":"","ref":"Beaver.MLIR.StringRef.html#make/1"},{"type":"function","title":"Beaver.MLIR.StringRef.to_string/1","doc":"Converts an StringRef to a string.","ref":"Beaver.MLIR.StringRef.html#to_string/1"},{"type":"type","title":"Beaver.MLIR.StringRef.t/0","doc":"","ref":"Beaver.MLIR.StringRef.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Transforms","doc":"Transformations MLIR provides by default.","ref":"Beaver.MLIR.Transforms.html"},{"type":"function","title":"Beaver.MLIR.Transforms.canonicalize/0","doc":"Canonicalize operations Argument name in MLIR CLI canonicalize Pass name in TableGen Canonicalizer","ref":"Beaver.MLIR.Transforms.html#canonicalize/0"},{"type":"function","title":"Beaver.MLIR.Transforms.canonicalize/1","doc":"","ref":"Beaver.MLIR.Transforms.html#canonicalize/1"},{"type":"function","title":"Beaver.MLIR.Transforms.control_flow_sink/0","doc":"Sink operations into conditional blocks Argument name in MLIR CLI control-flow-sink Pass name in TableGen ControlFlowSink","ref":"Beaver.MLIR.Transforms.html#control_flow_sink/0"},{"type":"function","title":"Beaver.MLIR.Transforms.control_flow_sink/1","doc":"","ref":"Beaver.MLIR.Transforms.html#control_flow_sink/1"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_elementwise_to_linalg/0","doc":"Convert ElementwiseMappable ops to linalg Argument name in MLIR CLI convert-elementwise-to-linalg Pass name in TableGen ConvertElementwiseToLinalg","ref":"Beaver.MLIR.Transforms.html#convert_elementwise_to_linalg/0"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_elementwise_to_linalg/1","doc":"","ref":"Beaver.MLIR.Transforms.html#convert_elementwise_to_linalg/1"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_affine_loops/0","doc":"Lower the operations from the linalg dialect into affine loops Argument name in MLIR CLI convert-linalg-to-affine-loops Pass name in TableGen LinalgLowerToAffineLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_affine_loops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_affine_loops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_affine_loops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_loops/0","doc":"Lower the operations from the linalg dialect into loops Argument name in MLIR CLI convert-linalg-to-loops Pass name in TableGen LinalgLowerToLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_loops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_loops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_loops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_parallel_loops/0","doc":"Lower the operations from the linalg dialect into parallel loops Argument name in MLIR CLI convert-linalg-to-parallel-loops Pass name in TableGen LinalgLowerToParallelLoops","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_parallel_loops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.convert_linalg_to_parallel_loops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#convert_linalg_to_parallel_loops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.cse/0","doc":"Eliminate common sub-expressions Argument name in MLIR CLI cse Pass name in TableGen CSE","ref":"Beaver.MLIR.Transforms.html#cse/0"},{"type":"function","title":"Beaver.MLIR.Transforms.cse/1","doc":"","ref":"Beaver.MLIR.Transforms.html#cse/1"},{"type":"function","title":"Beaver.MLIR.Transforms.generate_runtime_verification/0","doc":"Generate additional runtime op verification checks Argument name in MLIR CLI generate-runtime-verification Pass name in TableGen GenerateRuntimeVerification","ref":"Beaver.MLIR.Transforms.html#generate_runtime_verification/0"},{"type":"function","title":"Beaver.MLIR.Transforms.generate_runtime_verification/1","doc":"","ref":"Beaver.MLIR.Transforms.html#generate_runtime_verification/1"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_async_region/0","doc":"Make GPU ops async Argument name in MLIR CLI gpu-async-region Pass name in TableGen GpuAsyncRegionPass","ref":"Beaver.MLIR.Transforms.html#gpu_async_region/0"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_async_region/1","doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_async_region/1"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_kernel_outlining/0","doc":"Outline gpu.launch bodies to kernel functions Argument name in MLIR CLI gpu-kernel-outlining Pass name in TableGen GpuKernelOutlining","ref":"Beaver.MLIR.Transforms.html#gpu_kernel_outlining/0"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_kernel_outlining/1","doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_kernel_outlining/1"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_launch_sink_index_computations/0","doc":"Sink index computations into gpu.launch body Argument name in MLIR CLI gpu-launch-sink-index-computations Pass name in TableGen GpuLaunchSinkIndexComputations","ref":"Beaver.MLIR.Transforms.html#gpu_launch_sink_index_computations/0"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_launch_sink_index_computations/1","doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_launch_sink_index_computations/1"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_map_parallel_loops/0","doc":"Greedily maps loops to GPU hardware dimensions. Argument name in MLIR CLI gpu-map-parallel-loops Pass name in TableGen GpuMapParallelLoopsPass","ref":"Beaver.MLIR.Transforms.html#gpu_map_parallel_loops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.gpu_map_parallel_loops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#gpu_map_parallel_loops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.inline/0","doc":"Inline function calls Argument name in MLIR CLI inline Pass name in TableGen Inliner","ref":"Beaver.MLIR.Transforms.html#inline/0"},{"type":"function","title":"Beaver.MLIR.Transforms.inline/1","doc":"","ref":"Beaver.MLIR.Transforms.html#inline/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_bufferize/0","doc":"Bufferize the linalg dialect Argument name in MLIR CLI linalg-bufferize Pass name in TableGen LinalgBufferize","ref":"Beaver.MLIR.Transforms.html#linalg_bufferize/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_bufferize/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_bufferize/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_detensorize/0","doc":"Detensorize linalg ops Argument name in MLIR CLI linalg-detensorize Pass name in TableGen LinalgDetensorize","ref":"Beaver.MLIR.Transforms.html#linalg_detensorize/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_detensorize/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_detensorize/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_fold_unit_extent_dims/0","doc":"Remove unit-extent dimension in Linalg ops on tensors Argument name in MLIR CLI linalg-fold-unit-extent-dims Pass name in TableGen LinalgFoldUnitExtentDims","ref":"Beaver.MLIR.Transforms.html#linalg_fold_unit_extent_dims/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_fold_unit_extent_dims/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_fold_unit_extent_dims/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_fuse_elementwise_ops/0","doc":"Fuse elementwise operations on tensors Argument name in MLIR CLI linalg-fuse-elementwise-ops Pass name in TableGen LinalgElementwiseOpFusion","ref":"Beaver.MLIR.Transforms.html#linalg_fuse_elementwise_ops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_fuse_elementwise_ops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_fuse_elementwise_ops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_generalize_named_ops/0","doc":"Convert named ops into generic ops Argument name in MLIR CLI linalg-generalize-named-ops Pass name in TableGen LinalgGeneralization","ref":"Beaver.MLIR.Transforms.html#linalg_generalize_named_ops/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_generalize_named_ops/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_generalize_named_ops/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_inline_scalar_operands/0","doc":"Inline scalar operands into linalg generic ops Argument name in MLIR CLI linalg-inline-scalar-operands Pass name in TableGen LinalgInlineScalarOperands","ref":"Beaver.MLIR.Transforms.html#linalg_inline_scalar_operands/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_inline_scalar_operands/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_inline_scalar_operands/1"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_named_op_conversion/0","doc":"Convert from one named linalg op to another. Argument name in MLIR CLI linalg-named-op-conversion Pass name in TableGen LinalgNamedOpConversion","ref":"Beaver.MLIR.Transforms.html#linalg_named_op_conversion/0"},{"type":"function","title":"Beaver.MLIR.Transforms.linalg_named_op_conversion/1","doc":"","ref":"Beaver.MLIR.Transforms.html#linalg_named_op_conversion/1"},{"type":"function","title":"Beaver.MLIR.Transforms.loop_invariant_code_motion/0","doc":"Hoist loop invariant instructions outside of the loop Argument name in MLIR CLI loop-invariant-code-motion Pass name in TableGen LoopInvariantCodeMotion","ref":"Beaver.MLIR.Transforms.html#loop_invariant_code_motion/0"},{"type":"function","title":"Beaver.MLIR.Transforms.loop_invariant_code_motion/1","doc":"","ref":"Beaver.MLIR.Transforms.html#loop_invariant_code_motion/1"},{"type":"function","title":"Beaver.MLIR.Transforms.mem2reg/0","doc":"Promotes memory slots into values. Argument name in MLIR CLI mem2reg Pass name in TableGen Mem2Reg","ref":"Beaver.MLIR.Transforms.html#mem2reg/0"},{"type":"function","title":"Beaver.MLIR.Transforms.mem2reg/1","doc":"","ref":"Beaver.MLIR.Transforms.html#mem2reg/1"},{"type":"function","title":"Beaver.MLIR.Transforms.print_ir/0","doc":"Print IR on the debug stream Argument name in MLIR CLI print-ir Pass name in TableGen PrintIRPass","ref":"Beaver.MLIR.Transforms.html#print_ir/0"},{"type":"function","title":"Beaver.MLIR.Transforms.print_ir/1","doc":"","ref":"Beaver.MLIR.Transforms.html#print_ir/1"},{"type":"function","title":"Beaver.MLIR.Transforms.print_op_stats/0","doc":"Print statistics of operations Argument name in MLIR CLI print-op-stats Pass name in TableGen PrintOpStats","ref":"Beaver.MLIR.Transforms.html#print_op_stats/0"},{"type":"function","title":"Beaver.MLIR.Transforms.print_op_stats/1","doc":"","ref":"Beaver.MLIR.Transforms.html#print_op_stats/1"},{"type":"function","title":"Beaver.MLIR.Transforms.sccp/0","doc":"Sparse Conditional Constant Propagation Argument name in MLIR CLI sccp Pass name in TableGen SCCP","ref":"Beaver.MLIR.Transforms.html#sccp/0"},{"type":"function","title":"Beaver.MLIR.Transforms.sccp/1","doc":"","ref":"Beaver.MLIR.Transforms.html#sccp/1"},{"type":"function","title":"Beaver.MLIR.Transforms.snapshot_op_locations/0","doc":"Generate new locations from the current IR Argument name in MLIR CLI snapshot-op-locations Pass name in TableGen LocationSnapshot","ref":"Beaver.MLIR.Transforms.html#snapshot_op_locations/0"},{"type":"function","title":"Beaver.MLIR.Transforms.snapshot_op_locations/1","doc":"","ref":"Beaver.MLIR.Transforms.html#snapshot_op_locations/1"},{"type":"function","title":"Beaver.MLIR.Transforms.sroa/0","doc":"Scalar Replacement of Aggregates Argument name in MLIR CLI sroa Pass name in TableGen SROA","ref":"Beaver.MLIR.Transforms.html#sroa/0"},{"type":"function","title":"Beaver.MLIR.Transforms.sroa/1","doc":"","ref":"Beaver.MLIR.Transforms.html#sroa/1"},{"type":"function","title":"Beaver.MLIR.Transforms.strip_debuginfo/0","doc":"Strip debug info from all operations Argument name in MLIR CLI strip-debuginfo Pass name in TableGen StripDebugInfo","ref":"Beaver.MLIR.Transforms.html#strip_debuginfo/0"},{"type":"function","title":"Beaver.MLIR.Transforms.strip_debuginfo/1","doc":"","ref":"Beaver.MLIR.Transforms.html#strip_debuginfo/1"},{"type":"function","title":"Beaver.MLIR.Transforms.symbol_dce/0","doc":"Eliminate dead symbols Argument name in MLIR CLI symbol-dce Pass name in TableGen SymbolDCE","ref":"Beaver.MLIR.Transforms.html#symbol_dce/0"},{"type":"function","title":"Beaver.MLIR.Transforms.symbol_dce/1","doc":"","ref":"Beaver.MLIR.Transforms.html#symbol_dce/1"},{"type":"function","title":"Beaver.MLIR.Transforms.symbol_privatize/0","doc":"Mark symbols private Argument name in MLIR CLI symbol-privatize Pass name in TableGen SymbolPrivatize","ref":"Beaver.MLIR.Transforms.html#symbol_privatize/0"},{"type":"function","title":"Beaver.MLIR.Transforms.symbol_privatize/1","doc":"","ref":"Beaver.MLIR.Transforms.html#symbol_privatize/1"},{"type":"function","title":"Beaver.MLIR.Transforms.topological_sort/0","doc":"Sort regions without SSA dominance in topological order Argument name in MLIR CLI topological-sort Pass name in TableGen TopologicalSort","ref":"Beaver.MLIR.Transforms.html#topological_sort/0"},{"type":"function","title":"Beaver.MLIR.Transforms.topological_sort/1","doc":"","ref":"Beaver.MLIR.Transforms.html#topological_sort/1"},{"type":"function","title":"Beaver.MLIR.Transforms.view_op_graph/0","doc":"Print Graphviz visualization of an operation Argument name in MLIR CLI view-op-graph Pass name in TableGen ViewOpGraph","ref":"Beaver.MLIR.Transforms.html#view_op_graph/0"},{"type":"function","title":"Beaver.MLIR.Transforms.view_op_graph/1","doc":"","ref":"Beaver.MLIR.Transforms.html#view_op_graph/1"},{"type":"module","title":"Beaver.MLIR.Type","doc":"This module defines functions working with MLIR Type.","ref":"Beaver.MLIR.Type.html"},{"type":"function","title":"Beaver.MLIR.Type.complex/1","doc":"","ref":"Beaver.MLIR.Type.html#complex/1"},{"type":"function","title":"Beaver.MLIR.Type.equal?/2","doc":"","ref":"Beaver.MLIR.Type.html#equal?/2"},{"type":"function","title":"Beaver.MLIR.Type.f16/1","doc":"","ref":"Beaver.MLIR.Type.html#f16/1"},{"type":"function","title":"Beaver.MLIR.Type.f32/1","doc":"","ref":"Beaver.MLIR.Type.html#f32/1"},{"type":"function","title":"Beaver.MLIR.Type.f64/1","doc":"","ref":"Beaver.MLIR.Type.html#f64/1"},{"type":"function","title":"Beaver.MLIR.Type.f/2","doc":"","ref":"Beaver.MLIR.Type.html#f/2"},{"type":"function","title":"Beaver.MLIR.Type.function/3","doc":"","ref":"Beaver.MLIR.Type.html#function/3"},{"type":"function","title":"Beaver.MLIR.Type.get/2","doc":"","ref":"Beaver.MLIR.Type.html#get/2"},{"type":"function","title":"Beaver.MLIR.Type.i1/1","doc":"","ref":"Beaver.MLIR.Type.html#i1/1"},{"type":"function","title":"Beaver.MLIR.Type.i8/1","doc":"","ref":"Beaver.MLIR.Type.html#i8/1"},{"type":"function","title":"Beaver.MLIR.Type.i16/1","doc":"","ref":"Beaver.MLIR.Type.html#i16/1"},{"type":"function","title":"Beaver.MLIR.Type.i32/1","doc":"","ref":"Beaver.MLIR.Type.html#i32/1"},{"type":"function","title":"Beaver.MLIR.Type.i64/1","doc":"","ref":"Beaver.MLIR.Type.html#i64/1"},{"type":"function","title":"Beaver.MLIR.Type.i128/1","doc":"","ref":"Beaver.MLIR.Type.html#i128/1"},{"type":"function","title":"Beaver.MLIR.Type.i/2","doc":"See Beaver.MLIR.Type.integer/2 .","ref":"Beaver.MLIR.Type.html#i/2"},{"type":"function","title":"Beaver.MLIR.Type.index/1","doc":"","ref":"Beaver.MLIR.Type.html#index/1"},{"type":"function","title":"Beaver.MLIR.Type.integer/2","doc":"","ref":"Beaver.MLIR.Type.html#integer/2"},{"type":"function","title":"Beaver.MLIR.Type.make/1","doc":"","ref":"Beaver.MLIR.Type.html#make/1"},{"type":"function","title":"Beaver.MLIR.Type.memref/3","doc":"","ref":"Beaver.MLIR.Type.html#memref/3"},{"type":"function","title":"Beaver.MLIR.Type.ranked_tensor/3","doc":"","ref":"Beaver.MLIR.Type.html#ranked_tensor/3"},{"type":"function","title":"Beaver.MLIR.Type.tuple/2","doc":"Get a tuple type. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Type . tuple ( [ MLIR.Type . i32 , MLIR.Type . i32 ] , ctx : ctx ) |&gt; MLIR . to_string ( ) &quot;tuple&lt;i32, i32&gt;&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Type.html#tuple/2"},{"type":"function","title":"Beaver.MLIR.Type.unranked_tensor/1","doc":"","ref":"Beaver.MLIR.Type.html#unranked_tensor/1"},{"type":"function","title":"Beaver.MLIR.Type.vector/2","doc":"Get a vector type creator. Examples iex&gt; ctx = MLIR.Context . create ( ) iex&gt; MLIR.Type . vector ( [ 1 , 2 , 3 ] , MLIR.Type . i32 ) . ( ctx ) |&gt; MLIR . to_string ( ) &quot;vector&lt;1x2x3xi32&gt;&quot; iex&gt; ctx |&gt; MLIR.Context . destroy","ref":"Beaver.MLIR.Type.html#vector/2"},{"type":"type","title":"Beaver.MLIR.Type.t/0","doc":"","ref":"Beaver.MLIR.Type.html#t:t/0"},{"type":"module","title":"Beaver.MLIR.Value","doc":"This module defines functions working with MLIR Value.","ref":"Beaver.MLIR.Value.html"},{"type":"function","title":"Beaver.MLIR.Value.argument?/1","doc":"","ref":"Beaver.MLIR.Value.html#argument?/1"},{"type":"function","title":"Beaver.MLIR.Value.make/1","doc":"","ref":"Beaver.MLIR.Value.html#make/1"},{"type":"function","title":"Beaver.MLIR.Value.owner/1","doc":"Return the defining op of this value if this value is a result","ref":"Beaver.MLIR.Value.html#owner/1"},{"type":"function","title":"Beaver.MLIR.Value.result?/1","doc":"Returns true if the value is a result of an operation.","ref":"Beaver.MLIR.Value.html#result?/1"},{"type":"type","title":"Beaver.MLIR.Value.t/0","doc":"","ref":"Beaver.MLIR.Value.html#t:t/0"},{"type":"module","title":"Beaver.Native","doc":"This module provide higher level interface to primitive data types and MemRefDescriptor C struct in MemRef dialect. It aims to manage memory with BEAM and help a Erlang/Elixir function play well with function generated by MLIR and other NIFs.","ref":"Beaver.Native.html"},{"type":"function","title":"Beaver.Native.array/3","doc":"","ref":"Beaver.Native.html#array/3"},{"type":"function","title":"Beaver.Native.bag/2","doc":"","ref":"Beaver.Native.html#bag/2"},{"type":"function","title":"Beaver.Native.c_string/1","doc":"","ref":"Beaver.Native.html#c_string/1"},{"type":"function","title":"Beaver.Native.check!/1","doc":"","ref":"Beaver.Native.html#check!/1"},{"type":"function","title":"Beaver.Native.dump/1","doc":"","ref":"Beaver.Native.html#dump/1"},{"type":"function","title":"Beaver.Native.forward/3","doc":"","ref":"Beaver.Native.html#forward/3"},{"type":"function","title":"Beaver.Native.opaque_ptr/1","doc":"","ref":"Beaver.Native.html#opaque_ptr/1"},{"type":"function","title":"Beaver.Native.ptr/1","doc":"","ref":"Beaver.Native.html#ptr/1"},{"type":"function","title":"Beaver.Native.to_term/1","doc":"","ref":"Beaver.Native.html#to_term/1"},{"type":"module","title":"Beaver.Native.Array","doc":"This module defines functions working with C array.","ref":"Beaver.Native.Array.html"},{"type":"function","title":"Beaver.Native.Array.as_opaque/1","doc":"","ref":"Beaver.Native.Array.html#as_opaque/1"},{"type":"module","title":"Beaver.Native.Bool","doc":"","ref":"Beaver.Native.Bool.html"},{"type":"function","title":"Beaver.Native.Bool.make/1","doc":"","ref":"Beaver.Native.Bool.html#make/1"},{"type":"type","title":"Beaver.Native.Bool.t/0","doc":"","ref":"Beaver.Native.Bool.html#t:t/0"},{"type":"module","title":"Beaver.Native.C.String","doc":"This module defines functions working with a C string, an array terminated with with NULL.","ref":"Beaver.Native.C.String.html"},{"type":"function","title":"Beaver.Native.C.String.as_u8_array/1","doc":"","ref":"Beaver.Native.C.String.html#as_u8_array/1"},{"type":"module","title":"Beaver.Native.CInt","doc":"","ref":"Beaver.Native.CInt.html"},{"type":"function","title":"Beaver.Native.CInt.make/1","doc":"","ref":"Beaver.Native.CInt.html#make/1"},{"type":"type","title":"Beaver.Native.CInt.t/0","doc":"","ref":"Beaver.Native.CInt.html#t:t/0"},{"type":"module","title":"Beaver.Native.CUInt","doc":"","ref":"Beaver.Native.CUInt.html"},{"type":"function","title":"Beaver.Native.CUInt.make/1","doc":"","ref":"Beaver.Native.CUInt.html#make/1"},{"type":"type","title":"Beaver.Native.CUInt.t/0","doc":"","ref":"Beaver.Native.CUInt.html#t:t/0"},{"type":"module","title":"Beaver.Native.Complex.F32","doc":"","ref":"Beaver.Native.Complex.F32.html"},{"type":"function","title":"Beaver.Native.Complex.F32.make/1","doc":"","ref":"Beaver.Native.Complex.F32.html#make/1"},{"type":"type","title":"Beaver.Native.Complex.F32.t/0","doc":"","ref":"Beaver.Native.Complex.F32.html#t:t/0"},{"type":"module","title":"Beaver.Native.F32","doc":"","ref":"Beaver.Native.F32.html"},{"type":"function","title":"Beaver.Native.F32.make/1","doc":"","ref":"Beaver.Native.F32.html#make/1"},{"type":"type","title":"Beaver.Native.F32.t/0","doc":"","ref":"Beaver.Native.F32.html#t:t/0"},{"type":"module","title":"Beaver.Native.F64","doc":"","ref":"Beaver.Native.F64.html"},{"type":"function","title":"Beaver.Native.F64.make/1","doc":"","ref":"Beaver.Native.F64.html#make/1"},{"type":"type","title":"Beaver.Native.F64.t/0","doc":"","ref":"Beaver.Native.F64.html#t:t/0"},{"type":"module","title":"Beaver.Native.I16","doc":"","ref":"Beaver.Native.I16.html"},{"type":"function","title":"Beaver.Native.I16.make/1","doc":"","ref":"Beaver.Native.I16.html#make/1"},{"type":"type","title":"Beaver.Native.I16.t/0","doc":"","ref":"Beaver.Native.I16.html#t:t/0"},{"type":"module","title":"Beaver.Native.I32","doc":"","ref":"Beaver.Native.I32.html"},{"type":"function","title":"Beaver.Native.I32.make/1","doc":"","ref":"Beaver.Native.I32.html#make/1"},{"type":"type","title":"Beaver.Native.I32.t/0","doc":"","ref":"Beaver.Native.I32.html#t:t/0"},{"type":"module","title":"Beaver.Native.I64","doc":"","ref":"Beaver.Native.I64.html"},{"type":"function","title":"Beaver.Native.I64.make/1","doc":"","ref":"Beaver.Native.I64.html#make/1"},{"type":"type","title":"Beaver.Native.I64.t/0","doc":"","ref":"Beaver.Native.I64.html#t:t/0"},{"type":"module","title":"Beaver.Native.I8","doc":"","ref":"Beaver.Native.I8.html"},{"type":"function","title":"Beaver.Native.I8.make/1","doc":"","ref":"Beaver.Native.I8.html#make/1"},{"type":"type","title":"Beaver.Native.I8.t/0","doc":"","ref":"Beaver.Native.I8.html#t:t/0"},{"type":"module","title":"Beaver.Native.ISize","doc":"","ref":"Beaver.Native.ISize.html"},{"type":"function","title":"Beaver.Native.ISize.make/1","doc":"","ref":"Beaver.Native.ISize.html#make/1"},{"type":"type","title":"Beaver.Native.ISize.t/0","doc":"","ref":"Beaver.Native.ISize.html#t:t/0"},{"type":"module","title":"Beaver.Native.Memory","doc":"A piece of memory managed by BEAM and can by addressed by a generated native function as MLIR MemRef descriptor","ref":"Beaver.Native.Memory.html"},{"type":"function","title":"Beaver.Native.Memory.aligned/1","doc":"return a opaque pointer to the memory","ref":"Beaver.Native.Memory.html#aligned/1"},{"type":"function","title":"Beaver.Native.Memory.allocated/1","doc":"","ref":"Beaver.Native.Memory.html#allocated/1"},{"type":"function","title":"Beaver.Native.Memory.dense_strides/1","doc":"","ref":"Beaver.Native.Memory.html#dense_strides/1"},{"type":"function","title":"Beaver.Native.Memory.descriptor_ptr/1","doc":"return a opaque pointer to the memory descriptor. Usually used in the invoking of a generated function. If it is a array, will return the pointer of the array to mimic a struct of packed memory descriptors","ref":"Beaver.Native.Memory.html#descriptor_ptr/1"},{"type":"function","title":"Beaver.Native.Memory.new/2","doc":"","ref":"Beaver.Native.Memory.html#new/2"},{"type":"function","title":"Beaver.Native.Memory.own_allocated/1","doc":"take ownership of the memory the descriptor's allocated field points to","ref":"Beaver.Native.Memory.html#own_allocated/1"},{"type":"module","title":"Beaver.Native.OpaqueArray","doc":"","ref":"Beaver.Native.OpaqueArray.html"},{"type":"function","title":"Beaver.Native.OpaqueArray.make/1","doc":"","ref":"Beaver.Native.OpaqueArray.html#make/1"},{"type":"type","title":"Beaver.Native.OpaqueArray.t/0","doc":"","ref":"Beaver.Native.OpaqueArray.html#t:t/0"},{"type":"module","title":"Beaver.Native.OpaquePtr","doc":"This module defines functions working with opaque pointer, usually a void* in C.","ref":"Beaver.Native.OpaquePtr.html"},{"type":"function","title":"Beaver.Native.OpaquePtr.make/1","doc":"","ref":"Beaver.Native.OpaquePtr.html#make/1"},{"type":"function","title":"Beaver.Native.OpaquePtr.to_binary/2","doc":"read the N bytes starting from the pointer and returns an Erlang binary","ref":"Beaver.Native.OpaquePtr.html#to_binary/2"},{"type":"function","title":"Beaver.Native.OpaquePtr.to_resource/3","doc":"read the N bytes starting from the pointer and return a resource","ref":"Beaver.Native.OpaquePtr.html#to_resource/3"},{"type":"type","title":"Beaver.Native.OpaquePtr.t/0","doc":"","ref":"Beaver.Native.OpaquePtr.html#t:t/0"},{"type":"module","title":"Beaver.Native.Ptr","doc":"This module defines functions working with pointer in C.","ref":"Beaver.Native.Ptr.html"},{"type":"module","title":"Beaver.Native.PtrOwner","doc":"owning a pointer resource and delete it when BEAM collect the resource term","ref":"Beaver.Native.PtrOwner.html"},{"type":"function","title":"Beaver.Native.PtrOwner.new/1","doc":"","ref":"Beaver.Native.PtrOwner.html#new/1"},{"type":"module","title":"Beaver.Native.U16","doc":"","ref":"Beaver.Native.U16.html"},{"type":"function","title":"Beaver.Native.U16.make/1","doc":"","ref":"Beaver.Native.U16.html#make/1"},{"type":"type","title":"Beaver.Native.U16.t/0","doc":"","ref":"Beaver.Native.U16.html#t:t/0"},{"type":"module","title":"Beaver.Native.U32","doc":"","ref":"Beaver.Native.U32.html"},{"type":"function","title":"Beaver.Native.U32.make/1","doc":"","ref":"Beaver.Native.U32.html#make/1"},{"type":"type","title":"Beaver.Native.U32.t/0","doc":"","ref":"Beaver.Native.U32.html#t:t/0"},{"type":"module","title":"Beaver.Native.U64","doc":"","ref":"Beaver.Native.U64.html"},{"type":"function","title":"Beaver.Native.U64.make/1","doc":"","ref":"Beaver.Native.U64.html#make/1"},{"type":"type","title":"Beaver.Native.U64.t/0","doc":"","ref":"Beaver.Native.U64.html#t:t/0"},{"type":"module","title":"Beaver.Native.U8","doc":"","ref":"Beaver.Native.U8.html"},{"type":"function","title":"Beaver.Native.U8.make/1","doc":"","ref":"Beaver.Native.U8.html#make/1"},{"type":"type","title":"Beaver.Native.U8.t/0","doc":"","ref":"Beaver.Native.U8.html#t:t/0"},{"type":"module","title":"Beaver.Native.USize","doc":"","ref":"Beaver.Native.USize.html"},{"type":"function","title":"Beaver.Native.USize.make/1","doc":"","ref":"Beaver.Native.USize.html#make/1"},{"type":"type","title":"Beaver.Native.USize.t/0","doc":"","ref":"Beaver.Native.USize.html#t:t/0"},{"type":"extras","title":"Your first compiler with Beaver!","doc":"Mix . install ( [ { :beaver , &quot;~&gt; 0.2&quot; } ] ) :ok 14 : 06 : 55.047 [ debug ] [ Beaver ] all passes registered","ref":"your-first-beaver-compiler.html"},{"type":"extras","title":"Your first compiler with Beaver! - What makes a compiler","doc":"Before start coding anything. Let's get some intuition about what a typical compiler is made of. IR Pass CodeGen","ref":"your-first-beaver-compiler.html#what-makes-a-compiler"},{"type":"extras","title":"Your first compiler with Beaver! - A taste of MLIR","doc":"Most of LLVM tutorial starts with AST and parser. Guess what we are building it with Elixir and it rocks. So we can start with something fun, generating the IR. use Beaver alias Beaver.MLIR.Dialect . { Func , Arith } require Func ctx = MLIR.Context . create ( ) ir = mlir ctx : ctx do module do Func . func some_func ( function_type : Type . function ( [ Type . i32 ( ) ] , [ Type . i32 ( ) ] ) ) do region do block bb_entry ( a &gt;&gt;&gt; Type . i32 ( ) ) do b = Arith . constant ( value : Attribute . integer ( Type . i32 ( ) , 1024 ) ) &gt;&gt;&gt; Type . i32 ( ) c = Arith . addi ( a , b ) &gt;&gt;&gt; Type . i32 ( ) Func . return ( c ) &gt;&gt;&gt; [ ] end end end end end ir |&gt; Beaver.MLIR . to_string ( ) |&gt; IO . puts ( ) module { func . func @some_func ( % arg0 : i32 ) -&gt; i32 { % c1024_i32 = arith . constant 1024 : i32 % 0 = arith . addi % arg0 , % c1024_i32 : i32 return % 0 : i32 } } :ok As you can see, with MLIR we are not working with those low level LLVM instructions you might have seen somewhere else. Here we have this Func.func and Func.return thing looks like a function and return statement in a programming language. And the Arith stuff seems to be doing some arithmetic for us. Now you might take some time to look at the IR printed by IO.puts and think about it. If you find the text full of %1 , %2 not so interesting, don't worry. The only thing you need to know is that this is called MLIR's &quot;textual form&quot;. Let's carry on.","ref":"your-first-beaver-compiler.html#a-taste-of-mlir"},{"type":"extras","title":"Your first compiler with Beaver! - Entering the LLVM realm","doc":"The Next Big Thing™ we are going to do is to convert what we got so far to LLVM IR. Why? Long story short, MLIR is like a cinematic universe. Instead of having different hero franchises, we got a bunch of &quot;dialects&quot;. The Func , Arith are both dialects. There is a dialect called LLVM we haven't seen. LLVM is a dialect kind of magical and kind of different from others. It is magical that if we can convert IR to LLVM , we can generate native machine code and run it. This is how it is done with Beaver: import MLIR.Conversion llvm_ir = ir |&gt; convert_arith_to_llvm |&gt; MLIR.Pass.Composer . nested ( &quot;func.func&quot; , &quot;llvm-request-c-wrappers&quot; ) |&gt; convert_func_to_llvm |&gt; MLIR.Pass.Composer . run! ( ) llvm_ir |&gt; Beaver.MLIR . to_string ( ) |&gt; IO . puts ( ) module attributes { llvm . data_layout = &quot;&quot; } { llvm . func @some_func ( % arg0 : i32 ) -&gt; i32 attributes { llvm . emit_c_interface } { % 0 = llvm . mlir . constant ( 1024 : i32 ) : i32 % 1 = llvm . add % arg0 , % 0 : i32 llvm . return % 1 : i32 } llvm . func @_mlir_ciface_some_func ( % arg0 : i32 ) -&gt; i32 attributes { llvm . emit_c_interface } { % 0 = llvm . call @some_func ( % arg0 ) : ( i32 ) -&gt; i32 llvm . return % 0 : i32 } } :ok Now you can see the IR seems to &quot;grow&quot; a little. It is called &quot;lowering&quot;. What we just did is running two passes convert_func_to_llvm and convert_arith_to_llvm on our IR. So that the higher level abstraction like Func and Arith are lowered to LLVM IR, which is a representation closer to the hardware instruction. Remember what I told you, if we get to LLVM Dialect, basically we should get native machine code to run right? Let's do it!","ref":"your-first-beaver-compiler.html#entering-the-llvm-realm"},{"type":"extras","title":"Your first compiler with Beaver! - Run it!","doc":"jit = MLIR.ExecutionEngine . create! ( llvm_ir ) return = Beaver.Native.I32 . make ( 0 ) arguments = [ Beaver.Native.I32 . make ( 1024 ) ] MLIR.ExecutionEngine . invoke! ( jit , &quot;some_func&quot; , arguments , return ) |&gt; Beaver.Native . to_term ( ) 2048","ref":"your-first-beaver-compiler.html#run-it"},{"type":"extras","title":"Your first compiler with Beaver! - Recap","doc":"Congratulations! You have just built your first compiler with Beaver. There could be a lot to unpack and here is the summary: First we generate some MLIR with the mlir/1 macro. Then we convert it to LLVM IR with convert_func_to_llvm and convert_arith_to_llvm passes. Later we create a JIT engine from the generated LLVM IR with MLIR.ExecutionEngine.create! and run the native function. These three steps are corespondent to what makes a compiler IR Pass CodeGen In next tutorial we are taking a more programmable approach to generate the IR, converting Elixir AST to MLIR. By doing it we will pick up concepts like region, block, operations appear here but didn't receive much attention for now. You might want to look at the full list of MLIR dialects here .","ref":"your-first-beaver-compiler.html#recap"}]